local E, L, V, P, G = unpack(ElvUI); --Inport: Engine, Locales, PrivateDB, ProfileDB, GlobalDB

local CURRENT_PAGE = 0
local MAX_PAGE = 5

SLASH_KLIX1, SLASH_KLIX2, SLASH_KLIX3 = '/kui', '/klix', '/klixui';
function SlashCmdList.KLIX(msg, editbox)
		CURRENT_PAGE = 0
		E:Install();
	end

Klix_Version = GetAddOnMetadata("ElvUI_KlixUI", "Version");
Klix_Title = GetAddOnMetadata("ElvUI_KlixUI", "Title");

L["LOGIN_MSG"] = "Welcome to |cffffc88dKlix's UI |cffffffffv|r|cffffc88d"..Klix_Version.."|r |cffffffffType |cffffc88d/kui |cffffffffto start installation or |cffffc88d/ec |cffffffffto change ElvUI options. Please save any profiles before install, for any issues or suggestions, please visit https://discord.gg/GbQbDRX"


function E:GetColor(r, b, g, a)	
	return { r = r, b = b, g = g, a = a }
end

local function SetupChat()
	InstallStepComplete.message = L["Chat Set"]
	InstallStepComplete:Show()			
	FCF_ResetChatWindows()
	FCF_SetLocked(ChatFrame1, 1)
	FCF_DockFrame(ChatFrame2)
	FCF_SetLocked(ChatFrame2, 1)	
	FCF_OpenNewWindow(Chat)
	FCF_SetLocked(ChatFrame3, 1)
	ChatFrame3:Show()
	FCF_OpenNewWindow(Whisper)
	FCF_SetLocked(ChatFrame4, 1)
	ChatFrame4:Show()
	
	FCF_OpenNewWindow(LootTrade)
	FCF_UnDockFrame(ChatFrame5)
	FCF_SetLocked(ChatFrame5, 1)
	ChatFrame5:Show()
			
	for i = 1, NUM_CHAT_WINDOWS do
		local frame = _G[format("ChatFrame%s", i)]
		local chatFrameId = frame:GetID()
		local chatName = FCF_GetChatWindowInfo(chatFrameId)
		
		-- move general bottom left
		if i == 1 then
			frame:ClearAllPoints()
			frame:Point("BOTTOMLEFT", LeftChatToggleButton, "TOPLEFT", 1, 3)
		elseif i == 5 then
			frame:ClearAllPoints()
			frame:Point("BOTTOMLEFT", RightChatDataPanel, "TOPLEFT", 1, 3)
		end
		
		FCF_SavePositionAndDimensions(frame)
		FCF_StopDragging(frame)
		
		-- set default Elvui font size
		FCF_SetChatWindowFontSize(nil, frame, 14, "OUTLINE")
		
		-- rename windows general because moved to chat #3
		if i == 1 then
			FCF_SetWindowName(frame, GENERAL)
		elseif i == 2 then
			FCF_SetWindowName(frame, GUILD_EVENT_LOG)
		elseif i == 3 then
			FCF_SetWindowName(frame, "Chat")
		elseif i == 4 then
			FCF_SetWindowName(frame, "Whisper")
		elseif i == 5 then
			FCF_SetWindowName(frame, "LootTrade")
		end
	end
	
	ChatFrame_RemoveAllMessageGroups(ChatFrame1)
	ChatFrame_AddMessageGroup(ChatFrame1, "SAY")
	ChatFrame_AddMessageGroup(ChatFrame1, "EMOTE")
	ChatFrame_AddMessageGroup(ChatFrame1, "YELL")
	ChatFrame_AddMessageGroup(ChatFrame1, "GUILD")
	ChatFrame_AddMessageGroup(ChatFrame1, "OFFICER")
	ChatFrame_AddMessageGroup(ChatFrame1, "GUILD_ACHIEVEMENT")
	ChatFrame_AddMessageGroup(ChatFrame1, "WHISPER")
	ChatFrame_AddMessageGroup(ChatFrame1, "MONSTER_SAY")
	ChatFrame_AddMessageGroup(ChatFrame1, "MONSTER_EMOTE")
	ChatFrame_AddMessageGroup(ChatFrame1, "MONSTER_YELL")
	ChatFrame_AddMessageGroup(ChatFrame1, "MONSTER_BOSS_EMOTE")
	ChatFrame_AddMessageGroup(ChatFrame1, "PARTY")
	ChatFrame_AddMessageGroup(ChatFrame1, "PARTY_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame1, "RAID")
	ChatFrame_AddMessageGroup(ChatFrame1, "RAID_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame1, "RAID_WARNING")
	ChatFrame_AddMessageGroup(ChatFrame1, "INSTANCE_CHAT")
	ChatFrame_AddMessageGroup(ChatFrame1, "INSTANCE_CHAT_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame1, "BATTLEGROUND")
	ChatFrame_AddMessageGroup(ChatFrame1, "BATTLEGROUND_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame1, "BG_HORDE")
	ChatFrame_AddMessageGroup(ChatFrame1, "BG_ALLIANCE")
	ChatFrame_AddMessageGroup(ChatFrame1, "BG_NEUTRAL")
	ChatFrame_AddMessageGroup(ChatFrame1, "SYSTEM")
	ChatFrame_AddMessageGroup(ChatFrame1, "ERRORS")
	ChatFrame_AddMessageGroup(ChatFrame1, "AFK")
	ChatFrame_AddMessageGroup(ChatFrame1, "DND")
	ChatFrame_AddMessageGroup(ChatFrame1, "IGNORED")
	ChatFrame_AddMessageGroup(ChatFrame1, "ACHIEVEMENT")
	ChatFrame_AddMessageGroup(ChatFrame1, "BN_WHISPER")
	ChatFrame_AddMessageGroup(ChatFrame1, "BN_CONVERSATION")
	ChatFrame_AddMessageGroup(ChatFrame1, "BN_INLINE_TOAST_ALERT")
	ChatFrame_RemoveChannel(ChatFrame1, L['LocalDefense'])
	ChatFrame_RemoveChannel(ChatFrame1, L['LookingForGroup'])
	ChatFrame_RemoveChannel(ChatFrame1, L['Trade'])
	
	ChatFrame_RemoveAllMessageGroups(ChatFrame3)
	ChatFrame_AddMessageGroup(ChatFrame3, "GUILD")
	ChatFrame_AddMessageGroup(ChatFrame3, "GUILD_ACHIEVEMENT")
	ChatFrame_AddMessageGroup(ChatFrame3, "OFFICER")
	ChatFrame_AddMessageGroup(ChatFrame3, "PARTY")
	ChatFrame_AddMessageGroup(ChatFrame3, "PARTY_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame3, "RAID")
	ChatFrame_AddMessageGroup(ChatFrame3, "RAID_LEADER")
	ChatFrame_AddMessageGroup(ChatFrame3, "RAID_WARNING")
	ChatFrame_RemoveMessageGroup(ChatFrame3, "CHANNEL")	

	ChatFrame_RemoveAllMessageGroups(ChatFrame4)
	ChatFrame_AddMessageGroup(ChatFrame4, "WHISPER")
	ChatFrame_AddMessageGroup(ChatFrame4, "BN_WHISPER")
	ChatFrame_AddMessageGroup(ChatFrame4, "BN_CONVERSATION")
	ChatFrame_RemoveMessageGroup(ChatFrame4, "CHANNEL")	
	
	ChatFrame_RemoveAllMessageGroups(ChatFrame5)
	ChatFrame_AddMessageGroup(ChatFrame5, "COMBAT_FACTION_CHANGE")
	ChatFrame_AddMessageGroup(ChatFrame5, "SKILL")
	ChatFrame_AddMessageGroup(ChatFrame5, "LOOT")
	ChatFrame_AddMessageGroup(ChatFrame5, "MONEY")
	ChatFrame_AddMessageGroup(ChatFrame5, "COMBAT_XP_GAIN")
	ChatFrame_AddMessageGroup(ChatFrame5, "COMBAT_HONOR_GAIN")
	ChatFrame_AddMessageGroup(ChatFrame5, "COMBAT_GUILD_XP_GAIN")
	ChatFrame_AddMessageGroup(ChatFrame5, "CURRENCY")
		ChatFrame_AddChannel(ChatFrame5, L["Trade"])
	
	-- enable classcolor automatically on login and on each character without doing /configure each time.
	ToggleChatColorNamesByClassGroup(true, "SAY")
	ToggleChatColorNamesByClassGroup(true, "EMOTE")
	ToggleChatColorNamesByClassGroup(true, "YELL")
	ToggleChatColorNamesByClassGroup(true, "GUILD")
	ToggleChatColorNamesByClassGroup(true, "OFFICER")
	ToggleChatColorNamesByClassGroup(true, "GUILD_ACHIEVEMENT")
	ToggleChatColorNamesByClassGroup(true, "ACHIEVEMENT")
	ToggleChatColorNamesByClassGroup(true, "WHISPER")
	ToggleChatColorNamesByClassGroup(true, "PARTY")
	ToggleChatColorNamesByClassGroup(true, "PARTY_LEADER")
	ToggleChatColorNamesByClassGroup(true, "RAID")
	ToggleChatColorNamesByClassGroup(true, "RAID_LEADER")
	ToggleChatColorNamesByClassGroup(true, "RAID_WARNING")
	ToggleChatColorNamesByClassGroup(true, "BATTLEGROUND")
	ToggleChatColorNamesByClassGroup(true, "INSTANCE_CHAT")	
	ToggleChatColorNamesByClassGroup(true, "INSTANCE_CHAT_LEADER")	
	ToggleChatColorNamesByClassGroup(true, "CHANNEL11")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL1")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL2")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL3")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL4")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL5")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL6")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL7")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL8")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL9")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL10")
	ToggleChatColorNamesByClassGroup(true, "CHANNEL11")
	
	--Adjust Chat Colors
	--General
	ChangeChatColor("CHANNEL1", 195/255, 230/255, 232/255)
	--Trade
	ChangeChatColor("CHANNEL2", 232/255, 158/255, 121/255)
	--Local Defense
	ChangeChatColor("CHANNEL3", 232/255, 228/255, 121/255)
	
		if E.Chat then
		E.Chat:PositionChat(true)
		if E.db['RightChatPanelFaded'] then
			RightChatToggleButton:Click()
		end

		if E.db['LeftChatPanelFaded'] then
			LeftChatToggleButton:Click()
		end
	end
end


function E:SetupTheme(theme, noDisplayMsg)
	local classColor = RAID_CLASS_COLORS[E.myclass]
	E.private.theme = theme
	if not E.db.movers then E.db.movers = {}; end
		if theme == "KlixUI" then
		InstallStepComplete.message = L["KlixUI Installed"]
		InstallStepComplete:Show()
		
		---------------[Frame Movers]------------------
		--Bars
		E.db.movers["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,260"
		E.db.movers["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,289"
		E.db.movers["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,10"
		E.db.movers["ElvAB_4"] = "BOTTOM,ElvUIParent,BOTTOM,0,39"
		E.db.movers["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,-261,10"
		E.db.movers["ElvAB_6"] = "BOTTOM,ElvUIParent,BOTTOM,261,10"
		E.db.movers["PetAB"] = "BOTTOM,ElvUIParent,BOTTOM,-224,278"
		E.db.movers["ShiftAB"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,959,172"
		E.db.movers["BossButton"] = "BOTTOM,ElvUIParent,BOTTOM,0,105"
		E.db.movers["VehicleSeatMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,10,-30"
		E.db.movers["ExperienceBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,239"
		E.db.movers["ArtifactBarMover"] = "TOP,ElvUIParent,TOP,0,-99"
		E.db.movers["ReputationBarMover"] = "TOP,ElvUIParent,TOP,0,-33"
		E.db.movers["HonorBarMover"] = "TOP,ElvUIParent,TOP,0,-66"
		--General
		E.db.movers["MicrobarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,10,-10"
		E.db.movers["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,10,10"
		E.db.movers["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-10,10"
		E.db.movers["BNETMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,10,212"
		E.db.movers["GMMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,10,-10"
		E.db.movers["TooltipMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-10,185"
		E.db.movers["LootFrameMover"] = "TOP,ElvUIParent,TOP,0,-275"
		E.db.movers["TalkingHeadFrameMover"] = "TOP,ElvUIParent,TOP,0,-155"
		E.db.movers["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-490"
		E.db.movers["CM_MOVER"] = "BOTTOM,ElvUIParent,BOTTOM,0,150"
		E.db.movers["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-62,-260"
		E.db.movers["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-10,10"
		E.db.movers["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,10,10"
		--Player
		E.db.movers["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,318"
		E.db.movers["PlayerPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,318"
		E.db.movers["ComboBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-220,342"
		E.db.movers["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,364"
		E.db.movers["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,239"
		--Pet
		E.db.movers["ElvUF_PetMover"] = "BOTTOM,ElvUIParent,BOTTOM,-224,318"
		E.db.movers["ElvUF_PetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-224,364"
		--Target/ToT
		E.db.movers["ElvUF_TargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-510,430"
		E.db.movers["TargetPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,220,267"
		E.db.movers["ElvUF_TargetCastbarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-510,466"
		E.db.movers["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-434,430"
		--Focus/FT
		E.db.movers["ElvUF_FocusMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-434,466"
		E.db.movers["ElvUF_FocusCastbarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-434,483"
		E.db.movers["ElvUF_FocusTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-434,483"
		--Group
		E.db.movers["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,10,660"
		E.db.movers["ElvUF_RaidMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,10,905"
		E.db.movers["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,10,910"
		E.db.movers["ArenaHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-340,-285"
		E.db.movers["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,30,-340"
		E.db.movers["AltPowerBarMover"] = "TOP,ElvUIParent,TOP,0,-100"
		E.db.movers["BossHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-390,-285"
		E.db.movers["WatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-300"
		E.db.movers["AlertFrameMover"] = "TOP,ElvUIParent,TOP,0,-300"
		--Minimap/Auras
		E.db.movers["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-10,-10"
		E.db.movers["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-190,-10"
		E.db.movers["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-190,-149"
		--TotemBar
		if E.myclass == "SHAMAN" then
		E.db.movers["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,432,30"
		else
		E.db.movers["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,432,30"
		end
		
		-----------[General]------------
		E.db.general.taintLog = false
		E.db.general.stickyFrames = true
		E.db.general.loginmessage = true
		E.db.general.interruptAnnounce = "SAY"
		E.db.general.autoRepair = "GUILD"
		E.db.general.autoRoll = false
		E.db.general.vendorGrays = true
		E.db.general.autoAcceptInvite = false
		E.db.general.bottomPanel = false
		E.db.general.hideErrorFrame = true
		E.db.general.enhancedPvpMessages = true
		E.db.general.objectiveFrameHeight = 500
		E.db.general.bonusObjectivePosition = "LEFT"
		E.db.general.talkingHeadFrameScale = 0.75
		E.db.general.afk = false
		E.db.general.fontSize = 11
		E.db.general.font = "Expressway"
		E.db.general.namefont = "Expressway"
		E.db.general.chatBubbleFont = "Expressway"
		E.db.general.dmgfont = "Expressway"
		E.db.general.bordercolor = {r = 0/255, g = 0/255, b = 0/255}
		E.db.general.backdropcolor = {r = 18/255, g = 18/255, b = 18/255}
		E.db.general.backdropfadecolor = {r = 18/255, g = 18/255, b = 18/255, a = 0.9}
		E.db.general.valuecolor = E:GetColor(classColor.r, classColor.b, classColor.g)
		E.db.general.minimap.size = 175
		E.db.general.minimap.locationText = "MOUSEOVER"
		E.db.general.minimap.locationFontSize = 14
		E.db.general.minimap.locationFont = "Expressway"
		E.db.general.minimap.locationFontOutline = "OUTLINE"
		E.db.general.minimap.icons.mail.scale = 1
		E.db.general.minimap.icons.mail.position = "TOPRIGHT"
		E.db.general.minimap.icons.mail.xOffset = 4
		E.db.general.minimap.icons.mail.yOffset = 4
		E.db.general.minimap.icons.classHall.scale = 0.75
		E.db.general.minimap.icons.classHall.position = "BOTTOMRIGHT"
		E.db.general.minimap.icons.classHall.hide = false
		E.db.general.minimap.icons.calendar.hide = true
		E.db.general.minimap.icons.lfgEye.scale = 1
		E.db.general.minimap.icons.lfgEye.position = "BOTTOMLEFT"
		E.db.general.minimap.icons.lfgEye.xOffset = -4
		E.db.general.minimap.icons.lfgEye.yOffset = -4
		E.db.general.minimap.icons.vehicleLeave.size = 40
		E.db.general.minimap.icons.vehicleLeave.xOffset = 2
		E.db.general.minimap.icons.vehicleLeave.yOffset = 2
		E.db.general.threat.enable = false
		if E.myclass == "SHAMAN" then
			E.db.general.totems.enable = true
		else
			E.db.general.totems.enable = false
		end
		E.db.general.totems.growthDirection = "VERTICAL"
		E.db.general.totems.size = 40
		E.db.general.totems.spacing = 3
		-- General textures
		E.private.general.normTex = "Klix"
		E.private.general.glossTex = "Klix"
		
		----------[Bags]----------
		E.db.bags.bagSize = 30
		E.db.bags.bagWidth = 425
		E.db.bags.bankSize = 30
		E.db.bags.bankWidth = 425
		E.db.bags.alignToChat = false
		E.db.bags.moneyCoins = true
		E.db.bags.junkIcon = true
		E.db.bags.sortInverted = false
		E.db.bags.itemLevelFont = "Expressway"
		E.db.bags.itemLevelFontSize = 12
		E.db.bags.itemLevelFontOutline = "OUTLINE"
		E.db.bags.countFont = "Expressway"
		E.db.bags.countFontSize = 12
		E.db.bags.countFontOutline = "OUTLINE"
		E.db.bags.bagBar.enable = false
		
		----------[Auras]----------
		E.db.auras.font = "Expressway"
		E.db.auras.fontSize = 12
		E.db.auras.timeXOffset = 0
		E.db.auras.timeYOffset = 0
		E.db.auras.fontOutline = "OUTLINE"
		E.db.auras.buffs.maxWraps = 2
		E.db.auras.buffs.horizontalSpacing = 3
		E.db.auras.buffs.size = 38
		E.db.auras.debuffs.maxWraps = 2
		E.db.auras.debuffs.horizontalSpacing = 3
		E.db.auras.debuffs.size = 38
	
		----------[Chat]----------
		E.db.chat.font = "Expressway"
		E.db.chat.fontOutline = "OUTLINE"
		E.db.chat.editBoxPosition = 'ABOVE_CHAT'
		E.db.chat.emotionIcons = false
		E.db.chat.lfgIcons = false
		E.db.chat.panelWidth = 425
		E.db.chat.panelHeight = 200
		E.db.chat.panelWidthRight = 425
		E.db.chat.panelHeightRight = 200
		E.db.chat.panelBackdrop = "HIDEBOTH"
		E.db.chat.panelTabBackdrop = false
		E.db.chat.panelTabTransparency = false
		E.db.chat.fadeUndockedTabs = true
		E.db.chat.fadeTabsNoBackdrop = true
		E.db.chat.tabFont = "Expressway"
		E.db.chat.tabFontSize = 12
		E.db.chat.tabFontOutline = "OUTLINE"
		E.db.chat.lfgIcons = false
		E.db.chat.chatHistory = false
		E.db.chat.keywords = "%MYNAME%, ElvUI, KlixUI"
		E.db.chat.timeStampFormat = "%H:%M "
	
		---------[Nameplates]--------------
		E.db.nameplates.statusbar = "Klix"
		E.db.nameplates.font = "Expressway"
		E.db.nameplates.stackFont = "Expressway"
		E.db.nameplates.durationFont = "Expressway"
		E.db.nameplates.fontSize = 12
		E.db.nameplates.fontOutline = "OUTLINE"
		E.db.nameplates.stackFontOutline = "OUTLINE"
		E.db.nameplates.durationFontOutline = "OUTLINE"
		E.db.nameplates.nonTargetTransparency = 0.65
		E.db.nameplates.classbar.enable = false
		E.db.nameplates.units.PLAYER.enable = false
		E.db.nameplates.units.PLAYER.healthbar.height = 14
		E.db.nameplates.units.PLAYER.healthbar.width = 175
		E.db.nameplates.units.PLAYER.healthbar.text.enable = true
		E.db.nameplates.units.PLAYER.healthbar.text.format = "CURRENT_PERCENT"
		E.db.nameplates.units.PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.PLAYER.debuffs.baseHeight = 30
		E.db.nameplates.units.HEALER.healthbar.height = 14
		E.db.nameplates.units.HEALER.healthbar.width = 175
		E.db.nameplates.units.HEALER.healthbar.text.enable = true
		E.db.nameplates.units.HEALER.healthbar.text.format = "CURRENT_PERCENT"
		E.db.nameplates.units.HEALER.buffs.baseHeight = 30
		E.db.nameplates.units.HEALER.debuffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_PLAYER.healthbar.height = 14
		E.db.nameplates.units.FRIENDLY_PLAYER.healthbar.width = 175
		E.db.nameplates.units.FRIENDLY_PLAYER.healthbar.text.enable = true
		E.db.nameplates.units.FRIENDLY_PLAYER.healthbar.text.format = "CURRENT_PERCENT"
		E.db.nameplates.units.FRIENDLY_PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_PLAYER.debuffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_PLAYER.healthbar.height = 14
		E.db.nameplates.units.ENEMY_PLAYER.healthbar.width = 174
		E.db.nameplates.units.ENEMY_PLAYER.healthbar.text.enable = true
		E.db.nameplates.units.ENEMY_PLAYER.healthbar.text.format = "CURRENT_PERCENT"
		E.db.nameplates.units.ENEMY_PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_PLAYER.debuffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_NPC.healthbar.height = 14
		E.db.nameplates.units.FRIENDLY_NPC.healthbar.width = 175
		E.db.nameplates.units.FRIENDLY_NPC.healthbar.text.enable = true
		E.db.nameplates.units.FRIENDLY_NPC.healthbar.text.format = "CURRENT_PERCENT"
		E.db.nameplates.units.FRIENDLY_NPC.buffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_NPC.debuffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_NPC.healthbar.height = 14
		E.db.nameplates.units.ENEMY_NPC.healthbar.width = 175
		E.db.nameplates.units.ENEMY_NPC.healthbar.text.enable = true
		E.db.nameplates.units.ENEMY_NPC.healthbar.text.format = "PERCENT"
		E.db.nameplates.units.ENEMY_NPC.buffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_NPC.debuffs.baseHeight = 30
		
		-------------[DataBars]----------------
		--Experience
		E.db.databars.experience.enable = true
		E.db.databars.experience.width = 347
		E.db.databars.experience.height = 20
		E.db.databars.experience.font = "Expressway"
		E.db.databars.experience.fontOutline = "OUTLINE"
		E.db.databars.experience.textFormat = "PERCENT"
		E.db.databars.experience.textSize = 10
		E.db.databars.experience.mouseover = false
		E.db.databars.experience.orientation = "HORIZONTAL"
		E.db.databars.experience.reverseFill = false
		E.db.databars.experience.hideAtMaxLevel = true
		E.db.databars.experience.hideInVehicle = false
		--Reputation
		E.db.databars.reputation.enable = true
		E.db.databars.reputation.width = 395
		E.db.databars.reputation.height = 32
		E.db.databars.reputation.font = "Expressway"
		E.db.databars.reputation.fontOutline = "OUTLINE"
		E.db.databars.reputation.textFormat = "PERCENT"
		E.db.databars.reputation.textSize = 12
		E.db.databars.reputation.mouseover = true
		E.db.databars.reputation.orientation = "HORIZONTAL"
		E.db.databars.reputation.reverseFill = false
		E.db.databars.reputation.hideInVehicle = false
		--Artifact
		E.db.databars.artifact.enable = true
		E.db.databars.artifact.width = 395
		E.db.databars.artifact.height = 32
		E.db.databars.artifact.font = "Expressway"
		E.db.databars.artifact.fontOutline = "OUTLINE"
		E.db.databars.artifact.textFormat = "PERCENT"
		E.db.databars.artifact.textSize = 12
		E.db.databars.artifact.mouseover = true
		E.db.databars.artifact.orientation = "HORIZONTAL"
		E.db.databars.artifact.reverseFill = false
		E.db.databars.artifact.hideInVehicle = false
		--Honor
		E.db.databars.honor.enable = true
		E.db.databars.honor.width = 395
		E.db.databars.honor.height = 32
		E.db.databars.honor.font = "Expressway"
		E.db.databars.honor.fontOutline = "OUTLINE"
		E.db.databars.honor.textFormat = "PERCENT"
		E.db.databars.honor.textSize = 12
		E.db.databars.honor.mouseover = true
		E.db.databars.honor.orientation = "HORIZONTAL"
		E.db.databars.honor.reverseFill = false
		E.db.databars.honor.hideInVehicle = false
		
		----------[DataTexts]----------
		E.db.datatexts.font = "Expressway"
		E.db.datatexts.fontSize = 14
		E.db.datatexts.fontOutline = "OUTLINE"
		E.db.datatexts.battleground = false
		E.db.datatexts.time24 = true
		E.db.datatexts.panels.LeftChatDataPanel.left = ""
		E.db.datatexts.panels.LeftChatDataPanel.middle = ""
		E.db.datatexts.panels.LeftChatDataPanel.right = ""
		E.db.datatexts.panels.RightChatDataPanel.left = ""
		E.db.datatexts.panels.RightChatDataPanel.middle = ""
		E.db.datatexts.panels.RightChatDataPanel.right = ""
		E.db.datatexts.panels.LeftMiniPanel = ""
		E.db.datatexts.panels.RightMiniPanel = ""
		E.db.datatexts.panels.BottomMiniPanel = "Time"
		E.db.datatexts.panels.TopMiniPanel = ""
		E.db.datatexts.panels.BottomLeftMiniPanel = ""
		E.db.datatexts.panels.BottomRightMiniPanel = ""
		E.db.datatexts.panels.TopRightMiniPanel = ""
		E.db.datatexts.panels.TopLeftMiniPanel = ""
		E.db.datatexts.minimapPanels = false
		E.db.datatexts.leftChatPanel = false
		E.db.datatexts.rightChatPanel = false
		E.db.datatexts.minimapTop = false
		E.db.datatexts.minimapTopLeft = false
		E.db.datatexts.minimapTopRight = false
		E.db.datatexts.minimapBottom = true
		E.db.datatexts.minimapBottomLeft = false
		E.db.datatexts.minimapBottomRight = false
		

		---------[Tooltip]----------
		E.db.tooltip.targetInfo = true
		E.db.tooltip.playerTitles = true
		E.db.tooltip.guildRanks = true
		E.db.tooltip.inspectInfo = true
		E.db.tooltip.spellID = false
		E.db.tooltip.font = "Expressway"
		E.db.tooltip.fontOutline = "OUTLINE"
		E.db.tooltip.itemCount = "NONE"
		E.db.tooltip.headerFontSize = 11
		E.db.tooltip.textFontSize = 11
		E.db.tooltip.smallTextFontSize = 11
		E.db.tooltip.healthBar.text = false
		E.db.tooltip.healthBar.height = 0
		E.db.tooltip.healthBar.font = "Expressway"
		E.db.tooltip.healthBar.fontSize = 11
		
		----------[Cooldown]-------------
		E.db.cooldown.threshold = 2
		E.db.cooldown.expiringcolor = { r = 255/255, g = 54/255, b = 54/255 }
		E.db.cooldown.secondscolor = { r = 156/255, g = 255/255, b = 123/255 }
		E.db.cooldown.minutescolor = { r = 1, g = 1, b = 1 }
		E.db.cooldown.hourscolor = { r = 102/225, g = 255/225, b = 255/225 }
		E.db.cooldown.dayscolor = { r = 102/225, g = 102/225, b = 255/225 }
		
		---------[Actionbars]------------
		E.db.actionbar.font = "Expressway"
		E.db.actionbar.movementModifier = "CTRL"
		E.db.actionbar.fontSize = 10
		E.db.actionbar.fontOutline = "OUTLINE"
		E.db.actionbar.hotkeytext = true
		E.db.actionbar.noRangeColor = {r = 204/255, g = 26/255, b = 26/255}
		E.db.actionbar.noPowerColor = {r = 128/255, g = 128/255, b = 255/255}
		E.db.actionbar.microbar.enabled = false
		E.db.actionbar.microbar.mouseover = true
		--Bar 1
		E.db.actionbar.bar1.enabled = true
		E.db.actionbar.bar1.mouseover = false
		E.db.actionbar.bar1.buttons = 12
		E.db.actionbar.bar1.buttonsPerRow = 12
		E.db.actionbar.bar1.buttonsize = 28
		E.db.actionbar.bar1.buttonspacing = 1
		E.db.actionbar.bar1.heightMult = 1
		E.db.actionbar.bar1.widthMult = 1
		E.db.actionbar.bar1.point = "BOTTOMLEFT"
		E.db.actionbar.bar1.alpha = 1
		E.db.actionbar.bar1.backdrop = false
		E.db.actionbar.bar1.inheritGlobalFade = false
		E.db.actionbar.bar1.showGrid = true
		--Bar 2
		E.db.actionbar.bar2.enabled = true
		E.db.actionbar.bar2.mouseover = false
		E.db.actionbar.bar2.buttons = 12
		E.db.actionbar.bar2.buttonsPerRow = 12
		E.db.actionbar.bar2.buttonsize = 28
		E.db.actionbar.bar2.buttonspacing = 1
		E.db.actionbar.bar2.heightMult = 1
		E.db.actionbar.bar2.widthMult = 1
		E.db.actionbar.bar2.point = "BOTTOMLEFT"
		E.db.actionbar.bar2.alpha = 1
		E.db.actionbar.bar2.backdrop = false
		E.db.actionbar.bar2.inheritGlobalFade = false
		E.db.actionbar.bar2.showGrid = true
		--Bar 3
		E.db.actionbar.bar3.enabled = false
		E.db.actionbar.bar3.mouseover = true
		E.db.actionbar.bar3.buttons = 12
		E.db.actionbar.bar3.buttonsPerRow = 12
		E.db.actionbar.bar3.buttonsize = 28
		E.db.actionbar.bar3.buttonspacing = 1
		E.db.actionbar.bar3.heightMult = 1
		E.db.actionbar.bar3.widthMult = 1
		E.db.actionbar.bar3.point = "BOTTOMLEFT"
		E.db.actionbar.bar3.alpha = 1
		E.db.actionbar.bar3.backdrop = false
		E.db.actionbar.bar3.inheritGlobalFade = false
		E.db.actionbar.bar3.showGrid = true
		--Bar 4
		E.db.actionbar.bar4.enabled = false
		E.db.actionbar.bar4.mouseover = true
		E.db.actionbar.bar4.buttons = 12
		E.db.actionbar.bar4.buttonsPerRow = 12
		E.db.actionbar.bar4.buttonsize = 28
		E.db.actionbar.bar4.buttonspacing = 1
		E.db.actionbar.bar4.heightMult = 1
		E.db.actionbar.bar4.widthMult = 1
		E.db.actionbar.bar4.point = "BOTTOMLEFT"
		E.db.actionbar.bar4.alpha = 1
		E.db.actionbar.bar4.backdrop = false
		E.db.actionbar.bar4.inheritGlobalFade = false
		E.db.actionbar.bar4.showGrid = true
		--Bar 5
		E.db.actionbar.bar5.enabled = false
		E.db.actionbar.bar5.mouseover = true
		E.db.actionbar.bar5.buttons = 12
		E.db.actionbar.bar5.buttonsPerRow = 6
		E.db.actionbar.bar5.buttonsize = 28
		E.db.actionbar.bar5.buttonspacing = 1
		E.db.actionbar.bar5.heightMult = 1
		E.db.actionbar.bar5.widthMult = 1
		E.db.actionbar.bar5.point = "BOTTOMLEFT"
		E.db.actionbar.bar5.alpha = 1
		E.db.actionbar.bar5.backdrop = false
		E.db.actionbar.bar5.inheritGlobalFade = false
		E.db.actionbar.bar5.showGrid = true
		--Bar 6
		E.db.actionbar.bar6.enabled = false
		E.db.actionbar.bar6.mouseover = true
		E.db.actionbar.bar6.buttons = 12
		E.db.actionbar.bar6.buttonsPerRow = 6
		E.db.actionbar.bar6.buttonsize = 28
		E.db.actionbar.bar6.buttonspacing = 1
		E.db.actionbar.bar6.heightMult = 1
		E.db.actionbar.bar6.widthMult = 1
		E.db.actionbar.bar6.point = "BOTTOMLEFT"
		E.db.actionbar.bar6.alpha = 1
		E.db.actionbar.bar6.backdrop = false
		E.db.actionbar.bar6.inheritGlobalFade = false
		E.db.actionbar.bar6.showGrid = true
		--Pet Bar
		E.db.actionbar.barPet.enabled = true
		E.db.actionbar.barPet.mouseover = true
		E.db.actionbar.barPet.style = "darkenInactive"
		E.db.actionbar.barPet.buttons = NUM_STANCE_SLOTS
		E.db.actionbar.barPet.buttonsPerRow = NUM_STANCE_SLOTS
		E.db.actionbar.barPet.point = "BOTTOMLEFT"
		E.db.actionbar.barPet.backdrop = false
		E.db.actionbar.barPet.heightMult = 1
		E.db.actionbar.barPet.widthMult = 1
		E.db.actionbar.barPet.buttonsize = 19
		E.db.actionbar.barPet.buttonsPerRow = 5
		E.db.actionbar.barPet.buttonspacing = 1
		E.db.actionbar.barPet.backdropSpacing = 0
		E.db.actionbar.barPet.alpha = 1
		E.db.actionbar.barPet.inheritGlobalFade = false
		E.db.actionbar.barPet.showGrid = true
		--Stance Bar
		E.db.actionbar.stanceBar.enabled = false
		E.db.actionbar.stanceBar.mouseover = true
		E.db.actionbar.stanceBar.style = "darkenInactive"
		E.db.actionbar.stanceBar.buttons = NUM_STANCE_SLOTS
		E.db.actionbar.stanceBar.buttonsPerRow = NUM_STANCE_SLOTS
		E.db.actionbar.stanceBar.point = "BOTTOMLEFT"
		E.db.actionbar.stanceBar.backdrop = false
		E.db.actionbar.stanceBar.heightMult = 1
		E.db.actionbar.stanceBar.widthMult = 1
		E.db.actionbar.stanceBar.buttonsize = 32
		E.db.actionbar.stanceBar.buttonspacing = 1
		E.db.actionbar.stanceBar.backdropSpacing = 0
		E.db.actionbar.stanceBar.alpha = 1
		E.db.actionbar.stanceBar.inheritGlobalFade = false
		E.db.actionbar.stanceBar.showGrid = true
		--ExtraActionButton
		E.db.actionbar.extraActionButton.alpha = 1
		E.db.actionbar.extraActionButton.scale = 0.75
		E.db.actionbar.extraActionButton.inheritGlobalFade = false
		
		-------------[UnitFrames]---------------
		E.db.unitframe.statusbar = "Klix"
		E.db.unitframe.font = "Expressway"
		E.db.unitframe.fontSize = 12
		E.db.unitframe.fontOutline = "OUTLINE"
		E.db.unitframe.debuffHighlighting = false
		E.db.unitframe.smoothbars = true
		--Colors
		E.db.unitframe.colors.healthclass = true
		E.db.unitframe.colors.powerclass = false
		E.db.unitframe.colors.colorhealthbyvalue = false
		E.db.unitframe.colors.transparentHealth = false
		E.db.unitframe.colors.classbackdrop = false
		E.db.unitframe.colors.health = { r = 0/255, g = 0/255, b = 0/255 }
		E.db.unitframe.colors.health_backdrop = { r = 0/255,g = 0/255,b = 0/255 }
		E.db.unitframe.colors.tapped = { r = 231/255, g = 241/255, b = 255/255 }
		E.db.unitframe.colors.disconnected = { r = 255/255, g = 210/255, b = 158/255 }
		E.db.unitframe.colors.power.MANA = { r = 79/255,g = 115/255,b = 161/255 }
		E.db.unitframe.colors.power.RAGE = { r = 199/255,g = 64/255,b = 64/255 }
		E.db.unitframe.colors.power.FOCUS = { r = 181/255,g = 110/255,b = 69/255 }
		E.db.unitframe.colors.power.ENERGY = { r = 166/255,g = 161/255,b = 89/255 }
		E.db.unitframe.colors.power.RUNIC_POWER = { r = 0/255,g = 209/255,b = 255/255 }
		E.db.unitframe.colors.reaction.BAD = { r = 199/225, g = 64/225, b = 64/225 }
		E.db.unitframe.colors.reaction.NEUTRAL = { r = 218/255, g = 197/255, b = 92/255 }
		E.db.unitframe.colors.reaction.GOOD = { r = 75/255, g = 175/255, b = 76/255 }
		E.db.unitframe.colors.castColor = { r = 215/255, g = 215/255, b = 215/255 }
		E.db.unitframe.colors.castNoInterrupt = { r = 190/255, g = 60/255, b = 60/255 }
		E.db.unitframe.colors.castClassColor = false
		E.db.unitframe.colors.transparentCastbar = false
		E.db.unitframe.colors.customhealthbackdrop = false
		E.db.unitframe.colors.colorhealthbyvalue = false
		--Resource Colors
		E.db.unitframe.colors.classResources.MONK[1] = { r = 0/255, g = 255/255, b = 150/255 }
		E.db.unitframe.colors.classResources.MONK[2] = { r = 0/255, g = 255/255, b = 150/255 }
		E.db.unitframe.colors.classResources.MONK[3] = { r = 0/255, g = 255/255, b = 150/255 }
		E.db.unitframe.colors.classResources.MONK[4] = { r = 0/255, g = 255/255, b = 150/255 }
		E.db.unitframe.colors.classResources.MONK[5] = { r = 0/255, g = 255/255, b = 150/255 }
		E.db.unitframe.colors.classResources.MONK[6] = { r = 0/255, g = 255/255, b = 150/255 }
		--Player
		E.db.unitframe.units.player.customTexts = {}
		E.db.unitframe.units.player.customTexts.HP = {}
		E.db.unitframe.units.player.customTexts.HP.font = "Expressway"
		E.db.unitframe.units.player.customTexts.HP.text_format = "[health:deficit]"
		E.db.unitframe.units.player.customTexts.HP.fontOutline = "OUTLINE"
		E.db.unitframe.units.player.customTexts.HP.justifyH = "RIGHT"
		E.db.unitframe.units.player.customTexts.HP.xOffset = -2
		E.db.unitframe.units.player.customTexts.HP.yOffset = 8
		E.db.unitframe.units.player.customTexts.HP.size = 15
		E.db.unitframe.units.player.customTexts.PP = {}
		E.db.unitframe.units.player.customTexts.PP.font = "Expressway"
		E.db.unitframe.units.player.customTexts.PP.text_format = ""
		E.db.unitframe.units.player.customTexts.PP.fontOutline = "OUTLINE"
		E.db.unitframe.units.player.customTexts.PP.justifyH = "RIGHT"
		E.db.unitframe.units.player.customTexts.PP.xOffset = -1
		E.db.unitframe.units.player.customTexts.PP.yOffset = 3
		E.db.unitframe.units.player.customTexts.PP.size = 15
		E.db.unitframe.units.player.restIcon = true
		E.db.unitframe.units.player.width = 347
		E.db.unitframe.units.player.height = 45
		E.db.unitframe.units.player.healPrediction = false
		E.db.unitframe.units.player.threatStyle = "NONE"
		E.db.unitframe.units.player.health.text_format = ""
		E.db.unitframe.units.player.power.text_format = "[power:current]"
		E.db.unitframe.units.player.power.height = 13
		E.db.unitframe.units.player.power.yOffset = 0
		E.db.unitframe.units.player.power.xOffset = 0
		E.db.unitframe.units.player.power.attachTextTo = "Power"
		E.db.unitframe.units.player.power.position = "CENTER"
		E.db.unitframe.units.player.power.detachFromFrame = true
		E.db.unitframe.units.player.power.detachedWidth = 347
		E.db.unitframe.units.player.pvp.position = "TOPLEFT"
		E.db.unitframe.units.player.pvp.text_format = "|cFFB04F4F[pvptimer]|r"
		E.db.unitframe.units.player.buffs.enable = false
		E.db.unitframe.units.player.buffs.yOffset = -78
		E.db.unitframe.units.player.buffs.attachTo = "FRAME"
		E.db.unitframe.units.player.debuffs.enable = false
		E.db.unitframe.units.player.debuffs.sizeOverride = 48
		E.db.unitframe.units.player.debuffs.xOffset = -40
		E.db.unitframe.units.player.debuffs.yOffset = 195
		E.db.unitframe.units.player.debuffs.fontSize = 20
		E.db.unitframe.units.player.debuffs.attachTo = "Frame"
		E.db.unitframe.units.player.debuffs.anchorPoint = "LEFT"
		E.db.unitframe.units.player.debuffs.perrow = 6
		E.db.unitframe.units.player.debuffs.useFilter = "Blacklist"
		E.db.unitframe.units.player.debuffs.spacing = 2
		E.db.unitframe.units.player.castbar.enable = true
		E.db.unitframe.units.player.castbar.width = 347
		E.db.unitframe.units.player.castbar.height = 20
		E.db.unitframe.units.player.castbar.icon = false
		E.db.unitframe.units.player.castbar.latency = true
		E.db.unitframe.units.player.castbar.format = "Remaining"
		E.db.unitframe.units.player.castbar.ticks = true
		E.db.unitframe.units.player.castbar.spark = true
		E.db.unitframe.units.player.classbar.enable = true
		E.db.unitframe.units.player.classbar.detachFromFrame = true
		E.db.unitframe.units.player.classbar.detachedWidth = 347
		E.db.unitframe.units.player.classbar.height = 10
		E.db.unitframe.units.player.aurabar.enable = false
		if E.myclass == "ROGUE" or E.myclass == "DRUID" then
			E.db.unitframe.units.player.classbar.enable = true
			E.db.unitframe.units.player.classbar.detachFromFrame = true
			E.db.unitframe.units.player.classbar.autoHide = false
			E.db.unitframe.units.player.classbar.detachedWidth = 347
			E.db.unitframe.units.player.classbar.height = 10
		elseif E.myclass == "DEATHKNIGHT" and IsAddOnLoaded("CompactRunes") or IsAddOnLoaded("mRunes") then
			E.db.unitframe.units.player.classbar.enable = false
			E.db.unitframe.units.player.classbar.height = 0
			E.db.unitframe.units.player.classbar.detachedWidth = 0
		else
			E.db.unitframe.units.player.classbar.enable = true
			E.db.unitframe.units.player.classbar.detachedWidth = 347
			E.db.unitframe.units.player.classbar.height = 10
		end
		--Target
		E.db.unitframe.units.target.rangeCheck = true
		E.db.unitframe.units.target.width = 250
		E.db.unitframe.units.target.height = 35
		E.db.unitframe.units.target.healPrediction = false
		E.db.unitframe.units.target.threatStyle = "NONE"
		E.db.unitframe.units.target.health.text_format = ""
		E.db.unitframe.units.target.health.position = "TOPRIGHT"
		E.db.unitframe.units.target.health.xOffset = 6
		E.db.unitframe.units.target.health.yOffset = 6
		E.db.unitframe.units.target.power.height = 7
		E.db.unitframe.units.target.power.width = "filled"
		E.db.unitframe.units.target.power.attachTextToPower = true
		E.db.unitframe.units.target.power.detachedWidth = 200
		E.db.unitframe.units.target.power.text_format = ""
		E.db.unitframe.units.target.power.yOffset = 2
		E.db.unitframe.units.target.power.hideonnpc = false
		E.db.unitframe.units.target.power.position = "LEFT"
		E.db.unitframe.units.target.name.position = "LEFT"
		E.db.unitframe.units.target.name.text_format = "[name:long]"
		E.db.unitframe.units.target.name.attachTextTo = "Health"
		E.db.unitframe.units.target.name.xOffset = 4
		E.db.unitframe.units.target.name.yOffset = 0
		E.db.unitframe.units.target.buffs.enable = false
		E.db.unitframe.units.target.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.target.buffs.fontSize = 10
		E.db.unitframe.units.target.buffs.xOffset = 2
		E.db.unitframe.units.target.buffs.yOffset = 1
		E.db.unitframe.units.target.buffs.perrow = 4
		E.db.unitframe.units.target.buffs.sizeOverride = 30
		E.db.unitframe.units.target.debuffs.enable = true
		E.db.unitframe.units.target.debuffs.xOffset = 0
		E.db.unitframe.units.target.debuffs.yOffset = -1
		E.db.unitframe.units.target.debuffs.perrow = 7
		E.db.unitframe.units.target.debuffs.attachTo = "FRAME"
		E.db.unitframe.units.target.debuffs.sizeOverride = 35
		E.db.unitframe.units.target.debuffs.anchorPoint = "BOTTOMLEFT"
		E.db.unitframe.units.target.castbar.enable = true
		E.db.unitframe.units.target.castbar.width = 250
		E.db.unitframe.units.target.castbar.height = 30
		E.db.unitframe.units.target.castbar.icon = false
		E.db.unitframe.units.target.castbar.format = "Remaining"
		E.db.unitframe.units.target.castbar.spark = true
		E.db.unitframe.units.target.castbar.latency = true
		E.db.unitframe.units.target.aurabar.enable = false
		E.db.unitframe.units.target.customTexts = {}
		E.db.unitframe.units.target.customTexts.HP = {}
		E.db.unitframe.units.target.customTexts.HP.font = "Expressway"
		E.db.unitframe.units.target.customTexts.HP.justifyH = "RIGHT"
		E.db.unitframe.units.target.customTexts.HP.fontOutline = "OUTLINE"
		E.db.unitframe.units.target.customTexts.HP.xOffset = -4
		E.db.unitframe.units.target.customTexts.HP.yOffset = 0
		E.db.unitframe.units.target.customTexts.HP.text_format = "[health:current] | [health:percent]"
		E.db.unitframe.units.target.customTexts.HP.size = 12
		E.db.unitframe.units.target.customTexts.HP.attachTextTo = "Health"
		--Target of Target
		E.db.unitframe.units.targettarget.enable = true
		E.db.unitframe.units.targettarget.rangeCheck = true
		E.db.unitframe.units.targettarget.buffs.enable = false
		E.db.unitframe.units.targettarget.debuffs.enable = false
		E.db.unitframe.units.targettarget.width = 75
		E.db.unitframe.units.targettarget.height = 35
		E.db.unitframe.units.targettarget.power.enable = false
		E.db.unitframe.units.targettarget.name.position = "CENTER"
		E.db.unitframe.units.targettarget.name.text_format = "[name:short]"
		E.db.unitframe.units.targettarget.name.xOffset = 0
		E.db.unitframe.units.targettarget.name.yOffset = 0
		--Focus
		E.db.unitframe.units.focus.enable = true
		E.db.unitframe.units.focus.rangeCheck = true
		E.db.unitframe.units.focus.width = 75
		E.db.unitframe.units.focus.height = 16
		E.db.unitframe.units.focus.power.enable = false
		E.db.unitframe.units.focus.threatStyle = "NONE"
		E.db.unitframe.units.focus.name.position = "CENTER"
		E.db.unitframe.units.focus.name.text_format = "[name:short]"
		E.db.unitframe.units.focus.buffs.enable = false
		E.db.unitframe.units.focus.debuffs.enable = false
		E.db.unitframe.units.focus.castbar.enable = true
		E.db.unitframe.units.focus.castbar.enable = true
		E.db.unitframe.units.focus.castbar.width = 75
		E.db.unitframe.units.focus.castbar.height = 13
		E.db.unitframe.units.focus.castbar.icon = false
		E.db.unitframe.units.focus.castbar.format = "Remaining"
		E.db.unitframe.units.focus.castbar.spark = true
		E.db.unitframe.units.focus.castbar.latency = true	
		--Focus Target
		E.db.unitframe.units.focustarget.enable = true
		E.db.unitframe.units.focustarget.rangeCheck = true
		E.db.unitframe.units.focustarget.width = 75
		E.db.unitframe.units.focustarget.height = 13
		E.db.unitframe.units.focustarget.power.enable = false
		E.db.unitframe.units.focustarget.threatStyle = "NONE"
		E.db.unitframe.units.focustarget.name.position = "CENTER"
		E.db.unitframe.units.focustarget.name.text_format = ""
		E.db.unitframe.units.focustarget.buffs.enable = false
		E.db.unitframe.units.focustarget.debuffs.enable = false
		--Pet
		E.db.unitframe.units.pet.width = 99
		E.db.unitframe.units.pet.height = 45
		E.db.unitframe.units.pet.threatStyle = "NONE"
		E.db.unitframe.units.pet.healPrediction = false
		E.db.unitframe.units.pet.power.enable = false
		E.db.unitframe.units.pet.name.text_format = "[name:medium]"
		E.db.unitframe.units.pet.name.position = "CENTER"
		E.db.unitframe.units.pet.buffIndicator.enable = false
		E.db.unitframe.units.pet.castbar.width = 99
		E.db.unitframe.units.pet.castbar.height = 10
		E.db.unitframe.units.pet.castbar.icon = false
		E.db.unitframe.units.pet.castbar.spark = false
		E.db.unitframe.units.pet.castbar.iconAttached = false
		E.db.unitframe.units.pet.insideInfoPanel = false
		--Boss 
		E.db.unitframe.units.boss.enable = true
		E.db.unitframe.units.boss.width = 175
		E.db.unitframe.units.boss.height = 35
		E.db.unitframe.units.boss.spacing = 20
		E.db.unitframe.units.boss.health.text_format = "[health:percent]"
		E.db.unitframe.units.boss.health.position = "RIGHT"
		E.db.unitframe.units.boss.health.xOffset = -4
		E.db.unitframe.units.boss.health.yOffset = 0
		E.db.unitframe.units.boss.power.enable = true
		E.db.unitframe.units.boss.power.height = 5
		E.db.unitframe.units.boss.power.text_format = ""
		E.db.unitframe.units.boss.name.text_format = "[name:medium]"
		E.db.unitframe.units.boss.name.position = "LEFT"
		E.db.unitframe.units.boss.name.xOffset = 4
		E.db.unitframe.units.boss.name.yOffset = 0
		E.db.unitframe.units.boss.castbar.enable = true
		E.db.unitframe.units.boss.castbar.width = 175
		E.db.unitframe.units.boss.castbar.height = 10
		E.db.unitframe.units.boss.castbar.icon = false
		E.db.unitframe.units.boss.castbar.format = ""
		E.db.unitframe.units.boss.buffs.enable = false
		E.db.unitframe.units.boss.buffs.perrow = 3
		E.db.unitframe.units.boss.buffs.numrows = 1
		E.db.unitframe.units.boss.buffs.anchorPoint = "LEFT"
		E.db.unitframe.units.boss.buffs.fontSize = 22
		E.db.unitframe.units.boss.buffs.xOffset = -3
		E.db.unitframe.units.boss.buffs.yOffset = 0
		E.db.unitframe.units.boss.buffs.sizeOverride = 35
		E.db.unitframe.units.boss.debuffs.enable = true
		E.db.unitframe.units.boss.debuffs.perrow = 3
		E.db.unitframe.units.boss.debuffs.numrows = 1
		E.db.unitframe.units.boss.debuffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.boss.debuffs.fontSize = 22
		E.db.unitframe.units.boss.debuffs.xOffset = 1
		E.db.unitframe.units.boss.debuffs.yOffset = 0
		E.db.unitframe.units.boss.debuffs.sizeOverride = 35
		--Arena
		E.db.unitframe.units.arena.width = 225
		E.db.unitframe.units.arena.height = 40
		E.db.unitframe.units.arena.spacing = 20
		E.db.unitframe.units.arena.health.text_format = "[health:current] | [health:percent]"
		E.db.unitframe.units.arena.health.position = "RIGHT"
		E.db.unitframe.units.arena.health.xOffset = -4
		E.db.unitframe.units.arena.health.yOffset = 0
		E.db.unitframe.units.arena.power.text_format = ""
		E.db.unitframe.units.arena.name.text_format = "[name:medium]"
		E.db.unitframe.units.arena.name.position = "LEFT"
		E.db.unitframe.units.arena.name.xOffset = 4
		E.db.unitframe.units.arena.name.yOffset = 0
		E.db.unitframe.units.arena.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.arena.buffs.fontSize = 11
		E.db.unitframe.units.arena.buffs.sizeOverride = 19
		E.db.unitframe.units.arena.buffs.xOffset = 1
		E.db.unitframe.units.arena.buffs.yOffset = 10
		E.db.unitframe.units.arena.debuffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.arena.debuffs.fontSize = 11
		E.db.unitframe.units.arena.debuffs.sizeOverride = 19
		E.db.unitframe.units.arena.debuffs.xOffset = 1
		E.db.unitframe.units.arena.debuffs.yOffset = -11
		E.db.unitframe.units.arena.castbar.width = 225
		E.db.unitframe.units.arena.castbar.height = 10
		E.db.unitframe.units.arena.castbar.icon = false
		E.db.unitframe.units.arena.castbar.format = ""
		E.db.unitframe.units.arena.castbar.spark = false
		--Party
		E.db.unitframe.units.party.width = 200
		E.db.unitframe.units.party.height = 25
		E.db.unitframe.units.party.threatStyle = "GLOW"
		E.db.unitframe.units.party.growthDirection = "DOWN_RIGHT"
		E.db.unitframe.units.party.horizontalSpacing = 0
		E.db.unitframe.units.party.verticalSpacing = 1
		E.db.unitframe.units.party.health.attachTextTo = "Health"
		E.db.unitframe.units.party.health.position = "CENTER"
		E.db.unitframe.units.party.health.text_format = "[health:deficit]"
		E.db.unitframe.units.party.health.xOffset = 0
		E.db.unitframe.units.party.health.yOffset = 0
		E.db.unitframe.units.party.power.enable = true
		E.db.unitframe.units.party.power.height = 5
		E.db.unitframe.units.party.power.text_format = "[powercolor][power:current]"
		E.db.unitframe.units.party.power.position = "RIGHT"
		E.db.unitframe.units.party.power.attachTo = "HEALTH"
		E.db.unitframe.units.party.power.xOffset = -2
		E.db.unitframe.units.party.power.yOffset = 0
		E.db.unitframe.units.party.name.position = "LEFT"
		E.db.unitframe.units.party.name.attachTextTo = "Frame"
		E.db.unitframe.units.party.name.text_format = "[name:long]"
		E.db.unitframe.units.party.name.xOffset = 205
		E.db.unitframe.units.party.name.yOffset = 0
		E.db.unitframe.units.party.buffs.enable = false
		E.db.unitframe.units.party.buffs.perrow = 2
		E.db.unitframe.units.party.buffs.numrows = 1
		E.db.unitframe.units.party.buffs.sizeOverride = 20
		E.db.unitframe.units.party.buffs.xOffset = -47
		E.db.unitframe.units.party.buffs.yOffset = 0
		E.db.unitframe.units.party.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.party.debuffs.enable = false
		E.db.unitframe.units.party.debuffs.perrow = 1
		E.db.unitframe.units.party.debuffs.numrows = 3
		E.db.unitframe.units.party.debuffs.sizeOverride = 30
		E.db.unitframe.units.party.debuffs.yOffset = -1
		E.db.unitframe.units.party.debuffs.anchorPoint = "BOTTOM"
		E.db.unitframe.units.party.debuffs.onlyDispellable = true
		E.db.unitframe.units.party.buffIndicator.enable = true
		E.db.unitframe.units.party.buffIndicator.size = 8
		E.db.unitframe.units.party.roleIcon.enable = true
		E.db.unitframe.units.party.roleIcon.damager = false
		E.db.unitframe.units.party.roleIcon.position = "LEFT"
		E.db.unitframe.units.party.roleIcon.xOffset = 0
		E.db.unitframe.units.party.roleIcon.yOffset = 0
		E.db.unitframe.units.party.visibility = "[@raid6,exists][nogroup] hide;show"
		--Raid
		E.db.unitframe.units.raid.width = 170
		E.db.unitframe.units.raid.height = 20
		E.db.unitframe.units.raid.threatStyle = "GLOW"
		E.db.unitframe.units.raid.growthDirection = "DOWN_RIGHT"
		E.db.unitframe.units.raid.visibility = "[@raid6,noexists][@raid31,exists] hide;show"
		E.db.unitframe.units.raid.horizontalSpacing = 0
		E.db.unitframe.units.raid.verticalSpacing = 1
		E.db.unitframe.units.raid.health.text_format = "[health:deficit]"
		E.db.unitframe.units.raid.power.enable = false
		E.db.unitframe.units.raid.name.position = "LEFT"
		E.db.unitframe.units.raid.name.attachTextTo = "Frame"
		E.db.unitframe.units.raid.name.text_format = "[name:long]"
		E.db.unitframe.units.raid.name.xOffset = 175
		E.db.unitframe.units.raid.name.yOffset = 0
		E.db.unitframe.units.raid.buffs.enable = false
		E.db.unitframe.units.raid.debuffs.enable = true
		E.db.unitframe.units.raid.debuffs.perrow = 1
		E.db.unitframe.units.raid.debuffs.numrows = 1
		E.db.unitframe.units.raid.debuffs.sizeOverride = 18
		E.db.unitframe.units.raid.debuffs.xOffset = 0
		E.db.unitframe.units.raid.debuffs.yOffset = 0
		E.db.unitframe.units.raid.debuffs.attachTo = "FRAME"
		E.db.unitframe.units.raid.debuffs.anchorPoint = "CENTER"
		E.db.unitframe.units.raid.debuffs.onlyDispellable = true
		E.db.unitframe.units.party.buffIndicator.enable = true
		E.db.unitframe.units.party.buffIndicator.size = 8
		E.db.unitframe.units.raid.rdebuffs.enable = false
		E.db.unitframe.units.raid.rdebuffs.size = 20
		E.db.unitframe.units.raid.rdebuffs.font = "Expressway"
		E.db.unitframe.units.raid.rdebuffs.fontOutline = "OUTLINE"
		E.db.unitframe.units.raid.roleIcon.enable = true
		E.db.unitframe.units.raid.roleIcon.damager = false
		E.db.unitframe.units.raid.roleIcon.position = "LEFT"
		E.db.unitframe.units.raid.roleIcon.xOffset = 0
		E.db.unitframe.units.raid.roleIcon.yOffset = 0
		E.db.unitframe.units.raid.numGroups = 6
		E.db.unitframe.units.raid.groupsPerRowCol = 6
		E.db.unitframe.units.raid40.enable = true
		E.db.unitframe.units.raid40.width = 170
		E.db.unitframe.units.raid40.height = 15
		E.db.unitframe.units.raid40.threatStyle = "GLOW"
		E.db.unitframe.units.raid40.growthDirection = "DOWN_RIGHT"
		E.db.unitframe.units.raid40.visibility = "[@raid31,noexists] hide;show"
		E.db.unitframe.units.raid40.horizontalSpacing = 0
		E.db.unitframe.units.raid40.verticalSpacing = 1
		E.db.unitframe.units.raid40.health.text_format = "[health:deficit]"
		E.db.unitframe.units.raid40.power.enable = false
		E.db.unitframe.units.raid40.name.position = "LEFT"
		E.db.unitframe.units.raid40.name.attachTextTo = "Frame"
		E.db.unitframe.units.raid40.name.text_format = "[name:long]"
		E.db.unitframe.units.raid40.name.xOffset = 175
		E.db.unitframe.units.raid40.name.yOffset = 0
		E.db.unitframe.units.raid40.buffs.enable = false
		E.db.unitframe.units.raid40.debuffs.enable = false
		E.db.unitframe.units.raid40.buffIndicator.enable = true
		E.db.unitframe.units.raid40.buffIndicator.size = 8
		E.db.unitframe.units.raid40.rdebuffs.enable = false
		E.db.unitframe.units.raid40.roleIcon.enable = true
		E.db.unitframe.units.raid40.roleIcon.damager = false
		E.db.unitframe.units.raid40.roleIcon.position = "LEFT"
		E.db.unitframe.units.raid40.roleIcon.xOffset = 0
		E.db.unitframe.units.raid40.roleIcon.yOffset = 0
		E.db.unitframe.units.raid40.numGroups = 8
		E.db.unitframe.units.raid40.groupsPerRowCol = 8
		E.db.unitframe.units.tank.enable = false
		E.db.unitframe.units.assist.enable = false

		
		---------[Optional Settings]----------
		--Healer mode
		elseif theme == "Healer Layout" then
		--Target/ToT movers
		E.db.movers["ElvUF_TargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-484,493"
		E.db.movers["ElvUF_TargetCastbarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-484,-521"
		E.db.movers["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-408,493"
		--Focus/FT movers
		E.db.movers["ElvUF_FocusMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-408,529"
		E.db.movers["ElvUF_FocusCastbarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-408,-521"
		E.db.movers["ElvUF_FocusTargetMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-408,-521"
		--Group movers
		E.db.movers["ElvUF_PartyMover"] = "LEFT,ElvUIParent,BOTTOMLEFT,1158,410"
		E.db.movers["ElvUF_RaidMover"] = "LEFT,ElvUIParent,BOTTOMLEFT,1158,160"
		E.db.movers["ElvUF_Raid40Mover"] = "LEFT,ElvUIParent,BOTTOMLEFT,1158,155"
		E.db.movers["ArenaHeaderMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,10,-190"
		E.db.movers["BossHeaderMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,10,-190"
		
		--Target
		E.db.unitframe.units.target.width = 278
		E.db.unitframe.units.target.height = 35
		E.db.unitframe.units.target.castbar.width = 278
		E.db.unitframe.units.target.aurabar.enable = false
		E.db.unitframe.units.target.aurabar.attachTo = "FRAME"
		E.db.unitframe.units.target.aurabar.height = 22
		E.db.unitframe.units.target.aurabar.anchorPoint = "ABOVE"
		E.db.unitframe.units.target.aurabar.yOffset = 2
		--Party
		E.db.unitframe.units.party.width = 70
		E.db.unitframe.units.party.height = 45
		E.db.unitframe.units.party.growthDirection = "RIGHT_DOWN"
		E.db.unitframe.units.party.threatStyle = "GLOW"
		E.db.unitframe.units.party.horizontalSpacing = 1
		E.db.unitframe.units.party.verticalSpacing = 1
		E.db.unitframe.units.party.health.text_format = "[health:deficit]"
		E.db.unitframe.units.party.health.position = "BOTTOM"
		E.db.unitframe.units.party.health.attachTextTo = "Frame"
		E.db.unitframe.units.party.health.xOffset = 0
		E.db.unitframe.units.party.health.yOffset = 8
		E.db.unitframe.units.party.power.enable = true
		E.db.unitframe.units.party.power.height = 5
		E.db.unitframe.units.party.power.text_format = ""
		E.db.unitframe.units.party.power.position = "RIGHT"
		E.db.unitframe.units.party.power.attachTo = "HEALTH"
		E.db.unitframe.units.party.power.xOffset = -2
		E.db.unitframe.units.party.power.yOffset = 0
		E.db.unitframe.units.party.name.position = "TOP"
		E.db.unitframe.units.party.name.attachTextTo = "Frame"
		E.db.unitframe.units.party.name.text_format = "[name:medium]"
		E.db.unitframe.units.party.name.xOffset = 0
		E.db.unitframe.units.party.name.yOffset = -6
		E.db.unitframe.units.party.buffIndicator.enable = true
		E.db.unitframe.units.party.roleIcon.enable = true
		E.db.unitframe.units.party.roleIcon.position = "TOPLEFT"
		E.db.unitframe.units.party.roleIcon.attachTo = "Frame"
		E.db.unitframe.units.party.roleIcon.size = 15
		E.db.unitframe.units.party.roleIcon.xOffset = 0
		E.db.unitframe.units.party.roleIcon.yOffset = 0
		E.db.unitframe.units.party.roleIcon.damager = false
		E.db.unitframe.units.party.debuffs.enable = true
		E.db.unitframe.units.party.debuffs.perrow = 3
		E.db.unitframe.units.party.debuffs.numrows = 1
		E.db.unitframe.units.party.debuffs.sizeOverride = 23
		E.db.unitframe.units.party.debuffs.xOffset = 24
		E.db.unitframe.units.party.debuffs.yOffset = 0
		E.db.unitframe.units.party.debuffs.attachTo = "Frame"
		E.db.unitframe.units.party.debuffs.anchorPoint = "BOTTOM"
		E.db.unitframe.units.party.debuffs.onlyDispellable = true
		E.db.unitframe.units.party.buffs.enable = false
		E.db.unitframe.units.party.buffs.perrow = 2
		E.db.unitframe.units.party.buffs.numrows = 1
		E.db.unitframe.units.party.buffs.sizeOverride = 20
		E.db.unitframe.units.party.buffs.xOffset = -47
		E.db.unitframe.units.party.buffs.yOffset = 0
		E.db.unitframe.units.party.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.party.visibility = "[@raid6,exists][nogroup] hide;show"
		--Raid
		E.db.unitframe.units.raid.width = 70
		E.db.unitframe.units.raid.height = 35
		E.db.unitframe.units.raid.threatStyle = "GLOW"
		E.db.unitframe.units.raid.growthDirection = "RIGHT_DOWN"
		E.db.unitframe.units.raid.visibility = "[@raid6,noexists][@raid31,exists] hide;show"
		E.db.unitframe.units.raid.horizontalSpacing = 1
		E.db.unitframe.units.raid.verticalSpacing = 1
		E.db.unitframe.units.raid.health.text_format = "[health:deficit]"
		E.db.unitframe.units.raid.health.attachTextTo = "Frame"
		E.db.unitframe.units.raid.health.position = "BOTTOM"
		E.db.unitframe.units.raid.health.xOffset = 0
		E.db.unitframe.units.raid.health.yOffset = 2
		E.db.unitframe.units.raid.power.enable = false
		E.db.unitframe.units.raid.name.position = "TOP"
		E.db.unitframe.units.raid.name.attachTextTo = "Frame"
		E.db.unitframe.units.raid.name.text_format = "[name:medium]"
		E.db.unitframe.units.raid.name.xOffset = 0
		E.db.unitframe.units.raid.name.yOffset = -3
		E.db.unitframe.units.raid.roleIcon.enable = true
		E.db.unitframe.units.raid.roleIcon.position = "TOPLEFT"
		E.db.unitframe.units.raid.roleIcon.attachTo = "Frame"
		E.db.unitframe.units.raid.roleIcon.size = 15
		E.db.unitframe.units.raid.roleIcon.xOffset = 0
		E.db.unitframe.units.raid.roleIcon.yOffset = 0
		E.db.unitframe.units.raid.numGroups = 6
		E.db.unitframe.units.raid.groupsPerRowCol = 1
		E.db.unitframe.units.raid.buffs.enable = false
		E.db.unitframe.units.raid.debuffs.enable = true
		E.db.unitframe.units.raid.debuffs.perrow = 1
		E.db.unitframe.units.raid.debuffs.numrows = 1
		E.db.unitframe.units.raid.debuffs.sizeOverride = 18
		E.db.unitframe.units.raid.debuffs.xOffset = 0
		E.db.unitframe.units.raid.debuffs.yOffset = -7
		E.db.unitframe.units.raid.debuffs.attachTo = "FRAME"
		E.db.unitframe.units.raid.debuffs.anchorPoint = "CENTER"
		E.db.unitframe.units.raid.debuffs.onlyDispellable = true
		E.db.unitframe.units.raid.rdebuffs.enable = false
		E.db.unitframe.units.raid40.enable = true
		E.db.unitframe.units.raid40.width = 70
		E.db.unitframe.units.raid40.height = 26
		E.db.unitframe.units.raid40.threatStyle = "GLOW"
		E.db.unitframe.units.raid40.growthDirection = "RIGHT_DOWN"
		E.db.unitframe.units.raid40.visibility = "[@raid31,noexists] hide;show"
		E.db.unitframe.units.raid40.horizontalSpacing = 1
		E.db.unitframe.units.raid40.verticalSpacing = 1
		E.db.unitframe.units.raid40.health.text_format = ""
		E.db.unitframe.units.raid40.health.position = "BOTTOM"
		E.db.unitframe.units.raid40.power.enable = false
		E.db.unitframe.units.raid40.name.position = "CENTER"
		E.db.unitframe.units.raid40.name.attachTextTo = "Frame"
		E.db.unitframe.units.raid40.name.text_format = "[name:medium]"
		E.db.unitframe.units.raid40.name.xOffset = 0
		E.db.unitframe.units.raid40.name.yOffset = 0
		E.db.unitframe.units.raid40.buffs.enable = false
		E.db.unitframe.units.raid40.debuffs.enable = false
		E.db.unitframe.units.raid40.roleIcon.enable = true
		E.db.unitframe.units.raid40.roleIcon.size = 15
		E.db.unitframe.units.raid40.roleIcon.position = "TOPLEFT"
		E.db.unitframe.units.raid40.roleIcon.attachTo = "Frame"
		E.db.unitframe.units.raid40.roleIcon.xOffset = 0
		E.db.unitframe.units.raid40.roleIcon.yOffset = 0
		E.db.unitframe.units.raid40.numGroups = 8
		E.db.unitframe.units.raid40.groupsPerRowCol = 1
		E.db.unitframe.units.tank.enable = false
		E.db.unitframe.units.assist.enable = false
		
		-- Enable AuraBars
		elseif theme == "eAB" then
		InstallStepComplete.message = L["AuraBars Enabled"]
		InstallStepComplete:Show()
		E.db.movers["BossButton"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,580,105"
		E.db.unitframe.units.player.aurabar.enable = true
		E.db.unitframe.units.player.aurabar.attachTo = "FRAME"
		E.db.unitframe.units.player.aurabar.height = 15
		E.db.unitframe.units.player.aurabar.anchorPoint = "ABOVE"
		E.db.unitframe.units.player.aurabar.yOffset = 2
		E.db.unitframe.units.target.debuffs.enable = false
		E.db.unitframe.units.target.aurabar.enable = true
		E.db.unitframe.units.target.aurabar.attachTo = "FRAME"
		E.db.unitframe.units.target.aurabar.height = 15
		E.db.unitframe.units.target.aurabar.anchorPoint = "BELOW"
		E.db.unitframe.units.target.aurabar.yOffset = 2
		
		--Alternative DataBars
		elseif theme == "DataBars" then
		E.db.movers["SquareMinimapButtonBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-223"
		E.db.movers["ArtifactBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-10,-214"
		E.db.movers["ReputationBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-10,-188"
		E.db.movers["HonorBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-10,-201"
			
		--Reputation
		E.db.databars.reputation.enable = true
		E.db.databars.reputation.width = 177
		E.db.databars.reputation.height = 12
		E.db.databars.reputation.textFormat = "NONE"
		E.db.databars.reputation.textSize = 12
		E.db.databars.reputation.mouseover = false
		E.db.databars.reputation.orientation = "HORIZONTAL"
		E.db.databars.reputation.reverseFill = false
		E.db.databars.reputation.hideInVehicle = false
		--Artifact
		E.db.databars.artifact.enable = true
		E.db.databars.artifact.width = 177
		E.db.databars.artifact.height = 12
		E.db.databars.artifact.textFormat = "NONE"
		E.db.databars.artifact.textSize = 12
		E.db.databars.artifact.mouseover = false
		E.db.databars.artifact.orientation = "HORIZONTAL"
		E.db.databars.artifact.reverseFill = false
		E.db.databars.artifact.hideInVehicle = false
		--Honor
		E.db.databars.honor.enable = true
		E.db.databars.honor.width = 177
		E.db.databars.honor.height = 12
		E.db.databars.honor.textFormat = "NONE"
		E.db.databars.honor.textSize = 12
		E.db.databars.honor.mouseover = false
		E.db.databars.honor.orientation = "HORIZONTAL"
		E.db.databars.honor.reverseFill = false
		E.db.databars.honor.hideInVehicle = false
		
		-- Datatexts
		elseif theme == "Datatexts" then
		E.db.movers["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-10,36"
		E.db.movers["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,10,36"
		--Minimap
		E.db.general.minimap.icons.mail.hide = false
		--Chat options
		E.db.chat.panelBackdrop = "SHOWBOTH"
		E.db.chat.editBoxPosition = 'BELOW_CHAT'
		--Datatext options
		E.db.datatexts.font = "Expressway"
		E.db.datatexts.fontSize = 12
		E.db.datatexts.fontOutline = "OUTLINE"
		E.db.datatexts.battleground = false
		E.db.datatexts.panelTransparency = true
		E.db.datatexts.panels.LeftChatDataPanel.left = "Spec Switch (KUI)"
		E.db.datatexts.panels.LeftChatDataPanel.middle = "Item Level (KUI)"
		E.db.datatexts.panels.LeftChatDataPanel.right = "Classhall (KUI)"
		E.db.datatexts.panels.RightChatDataPanel.left = "System"
		E.db.datatexts.panels.RightChatDataPanel.middle = "Bags"
		E.db.datatexts.panels.RightChatDataPanel.right = "Gold"
		E.db.datatexts.panels.LeftMiniPanel = ""
		E.db.datatexts.panels.RightMiniPanel = ""
		E.db.datatexts.panels.BottomMiniPanel = "Time"
		E.db.datatexts.panels.TopMiniPanel = ""
		E.db.datatexts.panels.BottomLeftMiniPanel = ""
		E.db.datatexts.panels.BottomRightMiniPanel = ""
		E.db.datatexts.panels.TopRightMiniPanel = ""
		E.db.datatexts.panels.TopLeftMiniPanel = ""
		E.db.datatexts.minimapPanels = false
		E.db.datatexts.leftChatPanel = true
		E.db.datatexts.rightChatPanel = true
		E.db.datatexts.minimapTop = false
		E.db.datatexts.minimapTopLeft = false
		E.db.datatexts.minimapTopRight = false
		E.db.datatexts.minimapBottom = true
		E.db.datatexts.minimapBottomLeft = false
		E.db.datatexts.minimapBottomRight = false
		
		--Extra Actionbars
		elseif theme == "extraActionBars" then
		E.db.actionbar.bar3.enabled = true
		E.db.actionbar.bar4.enabled = true
		E.db.actionbar.bar5.enabled = true
		E.db.actionbar.bar6.enabled = true
		E.db.actionbar.bar3.mouseover = true
		E.db.actionbar.bar4.mouseover = true
		E.db.actionbar.bar5.mouseover = true
		E.db.actionbar.bar6.mouseover = true
		end
		
		if not noDisplayMsg then
			E:UpdateAll(true)
		end
end

function E:SetupAddon(addon)
	if addon == 'Skada' then
		if IsAddOnLoaded('Skada') then
			E:Print(L["A profile for Skada has been created. Type /skada config, go to Profiles and change your profile to |cffffc88dKlix|r"])
			InstallStepComplete.message = L["AddOn Profiles installed"]
			InstallStepComplete:Show()
			SkadaDB['profiles']['Klix'] = {
			["windows"] = {
				{
					["barheight"] = 15,
					["classicons"] = false,
					["barslocked"] = true,
					["y"] = 10,
					["x"] = -10,
					["title"] = {
						["color"] = {
							["a"] = 1,
							["b"] = 0.0784313725490196,
							["g"] = 0.0784313725490196,
							["r"] = 0.0784313725490196,
						},
						["bordertexture"] = "Pixel",
						["font"] = "Expressway",
						["borderthickness"] = 0,
						["fontsize"] = 14,
						["fontflags"] = "OUTLINE",
						["height"] = 20,
						["texture"] = "Klix",
					},
					["barfontflags"] = "OUTLINE",
					["point"] = "BOTTOMRIGHT",
					["mode"] = "Damage",
					["buttons"] = {
						["menu"] = false,
						["mode"] = false,
					},
					["barwidth"] = 425, --Width of window
					["barbgcolor"] = {
						["a"] = 1,
						["r"] = 0.301960784313726,
						["g"] = 0.301960784313726,
						["b"] = 0.301960784313726,
					},
					["barcolor"] = {
						["b"] = 1,
						["g"] = 0.349019607843137,
						["r"] = 0.227450980392157,
					},
					["barfontsize"] = 14,
					["background"] = {
						["borderthickness"] = 0,
						["height"] = 180, --Height of window
						["color"] = {
							["a"] = 1,
							["b"] = 0.0784313725490196,
							["g"] = 0.0784313725490196,
							["r"] = 0.0784313725490196,
						},
						["bordertexture"] = "Pixel",
						["texture"] = "ElvUI Blank",
					},
					["bartexture"] = "Klix",
					["barfont"] = "Expressway",
				}, -- [1]
			},
			["icon"] = {
				["hide"] = true,
			},
			["columns"] = {
				["Threat_TPS"] = true,
			},
			["tooltiprows"] = 5,
			["hidesolo"] = true,
			["showranks"] = false,
			["hidedisables"] = false,
			["tooltippos"] = "topleft",
			["reset"] = {
				["join"] = 1,
			},
		}
		Skada.db:SetProfile('Klix')
		end
		
		
		
		if IsAddOnLoaded('Details') then
		E:Print(L["A profile for Details! has been created."])
		InstallStepComplete.message = L["AddOn Profiles installed"]
		InstallStepComplete:Show()
			_detalhes_global["__profiles"]['Klix'] = {
			["capture_real"] = {
			["heal"] = true,
			["spellcast"] = true,
			["miscdata"] = true,
			["aura"] = true,
			["energy"] = true,
			["damage"] = true,
		},
		["row_fade_in"] = {
			"in", -- [1]
			0.2, -- [2]
		},
		["player_details_window"] = {
			["scale"] = 1,
			["bar_texture"] = "Klix",
			["skin"] = "ElvUI",
		},
		["numerical_system"] = 1,
		["use_row_animations"] = false,
		["report_heal_links"] = false,
		["remove_realm_from_name"] = true,
		["class_icons_small"] = "Interface\\AddOns\\Details\\images\\classes_small",
		["report_to_who"] = "",
		["overall_flag"] = 13,
		["profile_save_pos"] = true,
		["tooltip"] = {
			["header_statusbar"] = {
				0.3, -- [1]
				0.3, -- [2]
				0.3, -- [3]
				0.8, -- [4]
				false, -- [5]
				false, -- [6]
				"WorldState Score", -- [7]
			},
			["fontcolor_right"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["tooltip_max_targets"] = 2,
			["icon_size"] = {
				["W"] = 13,
				["H"] = 13,
			},
			["tooltip_max_pets"] = 2,
			["anchor_relative"] = "top",
			["abbreviation"] = 2,
			["anchored_to"] = 1,
			["show_amount"] = false,
			["header_text_color"] = {
				1, -- [1]
				0.9176, -- [2]
				0, -- [3]
				1, -- [4]
			},
			["fontsize"] = 12,
			["background"] = {
				0.196, -- [1]
				0.196, -- [2]
				0.196, -- [3]
				0.8697, -- [4]
			},
			["submenu_wallpaper"] = true,
			["fontsize_title"] = 12,
			["icon_border_texcoord"] = {
				["B"] = 0.921875,
				["L"] = 0.078125,
				["T"] = 0.078125,
				["R"] = 0.921875,
			},
			["commands"] = {
			},
			["tooltip_max_abilities"] = 5,
			["fontface"] = "Expressway",
			["border_color"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				0, -- [4]
			},
			["border_texture"] = "Blizzard Tooltip",
			["anchor_offset"] = {
				0, -- [1]
				0, -- [2]
			},
			["menus_bg_texture"] = "Interface\\SPELLBOOK\\Spellbook-Page-1",
			["maximize_method"] = 1,
			["border_size"] = 14,
			["fontshadow"] = true,
			["anchor_screen_pos"] = {
				507.7, -- [1]
				-350.5, -- [2]
			},
			["anchor_point"] = "bottom",
			["menus_bg_coords"] = {
				0.309777336120606, -- [1]
				0.924000015258789, -- [2]
				0.213000011444092, -- [3]
				0.279000015258789, -- [4]
			},
			["fontcolor"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				1, -- [4]
			},
			["menus_bg_color"] = {
				0.8, -- [1]
				0.8, -- [2]
				0.8, -- [3]
				0.2, -- [4]
			},
		},
		["ps_abbreviation"] = 3,
		["world_combat_is_trash"] = false,
		["update_speed"] = 0.0500000011920929,
		["track_item_level"] = true,
		["windows_fade_in"] = {
			"in", -- [1]
			0.2, -- [2]
		},
		["instances_menu_click_to_open"] = false,
		["overall_clear_newchallenge"] = true,
		["time_type"] = 2,
		["instances_disable_bar_highlight"] = false,
		["trash_concatenate"] = false,
		["disable_stretch_from_toolbar"] = false,
		["disable_lock_ungroup_buttons"] = false,
		["memory_ram"] = 64,
		["disable_window_groups"] = false,
		["instances_suppress_trash"] = 0,
		["font_faces"] = {
			["menus"] = "Expressway",
		},
		["segments_amount"] = 12,
		["report_lines"] = 5,
		["skin"] = "ElvUI Frame Style",
		["override_spellids"] = true,
		["use_battleground_server_parser"] = true,
		["default_bg_alpha"] = 0.5,
		["clear_ungrouped"] = true,
		["chat_tab_embed"] = {
			["enabled"] = false,
			["tab_name"] = "",
			["single_window"] = false,
		},
		["minimum_combat_time"] = 5,
		["animate_scroll"] = false,
		["cloud_capture"] = true,
		["damage_taken_everything"] = false,
		["scroll_speed"] = 2,
		["new_window_size"] = {
			["height"] = 155,
			["width"] = 320,
		},
		["memory_threshold"] = 3,
		["deadlog_events"] = 32,
		["class_specs_coords"] = {
			[62] = {
				0.251953125, -- [1]
				0.375, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[63] = {
				0.375, -- [1]
				0.5, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[250] = {
				0, -- [1]
				0.125, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[251] = {
				0.125, -- [1]
				0.25, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[252] = {
				0.25, -- [1]
				0.375, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[253] = {
				0.875, -- [1]
				1, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[254] = {
				0, -- [1]
				0.125, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[255] = {
				0.125, -- [1]
				0.25, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[66] = {
				0.125, -- [1]
				0.25, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[257] = {
				0.5, -- [1]
				0.625, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[258] = {
				0.6328125, -- [1]
				0.75, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[259] = {
				0.75, -- [1]
				0.875, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[260] = {
				0.875, -- [1]
				1, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[577] = {
				0.25, -- [1]
				0.375, -- [2]
				0.5, -- [3]
				0.625, -- [4]
			},
			[262] = {
				0.125, -- [1]
				0.25, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[581] = {
				0.375, -- [1]
				0.5, -- [2]
				0.5, -- [3]
				0.625, -- [4]
			},
			[264] = {
				0.375, -- [1]
				0.5, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[265] = {
				0.5, -- [1]
				0.625, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[266] = {
				0.625, -- [1]
				0.75, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[267] = {
				0.75, -- [1]
				0.875, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[268] = {
				0.625, -- [1]
				0.75, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[269] = {
				0.875, -- [1]
				1, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[270] = {
				0.75, -- [1]
				0.875, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[70] = {
				0.251953125, -- [1]
				0.375, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[102] = {
				0.375, -- [1]
				0.5, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[71] = {
				0.875, -- [1]
				1, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[103] = {
				0.5, -- [1]
				0.625, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[72] = {
				0, -- [1]
				0.125, -- [2]
				0.5, -- [3]
				0.625, -- [4]
			},
			[104] = {
				0.625, -- [1]
				0.75, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[73] = {
				0.125, -- [1]
				0.25, -- [2]
				0.5, -- [3]
				0.625, -- [4]
			},
			[64] = {
				0.5, -- [1]
				0.625, -- [2]
				0.125, -- [3]
				0.25, -- [4]
			},
			[105] = {
				0.75, -- [1]
				0.875, -- [2]
				0, -- [3]
				0.125, -- [4]
			},
			[65] = {
				0, -- [1]
				0.125, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[256] = {
				0.375, -- [1]
				0.5, -- [2]
				0.25, -- [3]
				0.375, -- [4]
			},
			[261] = {
				0, -- [1]
				0.125, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
			[263] = {
				0.25, -- [1]
				0.375, -- [2]
				0.375, -- [3]
				0.5, -- [4]
			},
		},
		["close_shields"] = false,
		["class_coords"] = {
			["HUNTER"] = {
				0, -- [1]
				0.25, -- [2]
				0.25, -- [3]
				0.5, -- [4]
			},
			["WARRIOR"] = {
				0, -- [1]
				0.25, -- [2]
				0, -- [3]
				0.25, -- [4]
			},
			["ROGUE"] = {
				0.49609375, -- [1]
				0.7421875, -- [2]
				0, -- [3]
				0.25, -- [4]
			},
			["MAGE"] = {
				0.25, -- [1]
				0.49609375, -- [2]
				0, -- [3]
				0.25, -- [4]
			},
			["PET"] = {
				0.25, -- [1]
				0.49609375, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["DRUID"] = {
				0.7421875, -- [1]
				0.98828125, -- [2]
				0, -- [3]
				0.25, -- [4]
			},
			["MONK"] = {
				0.5, -- [1]
				0.73828125, -- [2]
				0.5, -- [3]
				0.75, -- [4]
			},
			["DEATHKNIGHT"] = {
				0.25, -- [1]
				0.5, -- [2]
				0.5, -- [3]
				0.75, -- [4]
			},
			["MONSTER"] = {
				0, -- [1]
				0.25, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["UNKNOW"] = {
				0.5, -- [1]
				0.75, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["PRIEST"] = {
				0.49609375, -- [1]
				0.7421875, -- [2]
				0.25, -- [3]
				0.5, -- [4]
			},
			["SHAMAN"] = {
				0.25, -- [1]
				0.49609375, -- [2]
				0.25, -- [3]
				0.5, -- [4]
			},
			["Alliance"] = {
				0.49609375, -- [1]
				0.7421875, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["ENEMY"] = {
				0, -- [1]
				0.25, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["DEMONHUNTER"] = {
				0.73828126, -- [1]
				1, -- [2]
				0.5, -- [3]
				0.75, -- [4]
			},
			["Horde"] = {
				0.7421875, -- [1]
				0.98828125, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["PALADIN"] = {
				0, -- [1]
				0.25, -- [2]
				0.5, -- [3]
				0.75, -- [4]
			},
			["UNGROUPPLAYER"] = {
				0.5, -- [1]
				0.75, -- [2]
				0.75, -- [3]
				1, -- [4]
			},
			["WARLOCK"] = {
				0.7421875, -- [1]
				0.98828125, -- [2]
				0.25, -- [3]
				0.5, -- [4]
			},
		},
		["overall_clear_logout"] = false,
		["disable_alldisplays_window"] = false,
		["pvp_as_group"] = true,
		["force_activity_time_pvp"] = true,
		["windows_fade_out"] = {
			"out", -- [1]
			0.2, -- [2]
		},
		["death_tooltip_width"] = 300,
		["clear_graphic"] = true,
		["hotcorner_topleft"] = {
			["hide"] = false,
		},
		["segments_auto_erase"] = 1,
		["options_group_edit"] = true,
		["segments_amount_to_save"] = 5,
		["minimap"] = {
			["onclick_what_todo"] = 1,
			["radius"] = 160,
			["text_type"] = 1,
			["minimapPos"] = 220,
			["text_format"] = 3,
			["hide"] = false,
		},
		["instances_amount"] = 5,
		["max_window_size"] = {
			["height"] = 450,
			["width"] = 480,
		},
		["trash_auto_remove"] = true,
		["only_pvp_frags"] = false,
		["disable_stretch_button"] = false,
		["time_type_original"] = 2,
		["default_bg_color"] = 0.0941,
		["numerical_system_symbols"] = "auto",
		["segments_panic_mode"] = false,
		["window_clamp"] = {
			-8, -- [1]
			0, -- [2]
			21, -- [3]
			-14, -- [4]
		},
		["standard_skin"] = {
			["show_statusbar"] = false,
			["backdrop_texture"] = "Klix",
			["color"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				1, -- [4]
			},
			["menu_anchor"] = {
				16, -- [1]
				2, -- [2]
				["side"] = 2,
			},
			["bg_r"] = 0.3294,
			["skin"] = "ElvUI Frame Style",
			["following"] = {
				["bar_color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
				},
				["enabled"] = false,
				["text_color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
				},
			},
			["color_buttons"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
				1, -- [4]
			},
			["switch_healer"] = false,
			["micro_displays_locked"] = true,
			["bg_b"] = 0.3294,
			["tooltip"] = {
				["n_abilities"] = 3,
				["n_enemies"] = 3,
			},
			["desaturated_menu"] = false,
			["switch_tank_in_combat"] = false,
			["switch_all_roles_in_combat"] = false,
			["instance_button_anchor"] = {
				-27, -- [1]
				1, -- [2]
			},
			["bg_alpha"] = 0.51,
			["attribute_text"] = {
				["enabled"] = true,
				["shadow"] = true,
				["side"] = 1,
				["text_color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
					0.7, -- [4]
				},
				["custom_text"] = "{name}",
				["text_face"] = "Expressway",
				["anchor"] = {
					-19, -- [1]
					5, -- [2]
				},
				["show_timer"] = {
					true, -- [1]
					true, -- [2]
					true, -- [3]
				},
				["enable_custom_text"] = false,
				["text_size"] = 12,
			},
			["libwindow"] = {
			},
			["menu_alpha"] = {
				["enabled"] = false,
				["onleave"] = 1,
				["ignorebars"] = false,
				["iconstoo"] = true,
				["onenter"] = 1,
			},
			["stretch_button_side"] = 1,
			["micro_displays_side"] = 2,
			["switch_healer_in_combat"] = false,
			["strata"] = "LOW",
			["hide_in_combat_type"] = 1,
			["statusbar_info"] = {
				["alpha"] = 1,
				["overlay"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
				},
			},
			["switch_tank"] = false,
			["hide_in_combat_alpha"] = 0,
			["switch_all_roles_after_wipe"] = false,
			["menu_icons"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				false, -- [6]
				["space"] = -2,
				["shadow"] = false,
			},
			["switch_damager"] = false,
			["show_sidebars"] = true,
			["window_scale"] = 1,
			["bars_grow_direction"] = 1,
			["row_info"] = {
				["textR_outline"] = false,
				["spec_file"] = "Interface\\AddOns\\Details\\images\\spec_icons_normal",
				["textL_outline"] = false,
				["texture_highlight"] = "Interface\\FriendsFrame\\UI-FriendsList-Highlight",
				["textL_outline_small"] = true,
				["textL_enable_custom_text"] = false,
				["fixed_text_color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
				},
				["space"] = {
					["right"] = -2,
					["left"] = 1,
					["between"] = 1,
				},
				["texture_background_class_color"] = false,
				["textL_outline_small_color"] = {
					0, -- [1]
					0, -- [2]
					0, -- [3]
					1, -- [4]
				},
				["font_face_file"] = "Interface\\Addons\\Details\\fonts\\Expressway.ttf",
				["textL_custom_text"] = "{data1}. {data3}{data2}",
				["font_size"] = 12,
				["height"] = 16,
				["texture_file"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\Klix.tga",
				["icon_file"] = "Interface\\AddOns\\Details\\images\\classes_small_alpha",
				["texture_custom_file"] = "Interface\\",
				["texture_background_file"] = "Interface\\AddOns\\Details\\images\\bar_background",
				["use_spec_icons"] = true,
				["textR_enable_custom_text"] = false,
				["models"] = {
					["upper_model"] = "Spells\\AcidBreath_SuperGreen.M2",
					["lower_model"] = "World\\EXPANSION02\\DOODADS\\Coldarra\\COLDARRALOCUS.m2",
					["upper_alpha"] = 0.5,
					["lower_enabled"] = false,
					["lower_alpha"] = 0.1,
					["upper_enabled"] = false,
				},
				["fixed_texture_color"] = {
					0, -- [1]
					0, -- [2]
					0, -- [3]
				},
				["textL_show_number"] = true,
				["fixed_texture_background_color"] = {
					0, -- [1]
					0, -- [2]
					0, -- [3]
					0.339636147022247, -- [4]
				},
				["backdrop"] = {
					["enabled"] = false,
					["texture"] = "Details BarBorder 2",
					["color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["size"] = 4,
				},
				["textR_custom_text"] = "{data1} ({data2}, {data3}%)",
				["texture"] = "Klix",
				["textR_outline_small"] = true,
				["percent_type"] = 1,
				["textR_show_data"] = {
					true, -- [1]
					true, -- [2]
					true, -- [3]
				},
				["texture_background"] = "Klix",
				["alpha"] = 0.8,
				["textR_class_colors"] = false,
				["textR_outline_small_color"] = {
					0, -- [1]
					0, -- [2]
					0, -- [3]
					1, -- [4]
				},
				["no_icon"] = false,
				["textL_class_colors"] = false,
				["texture_custom"] = "Klix",
				["font_face"] = "Expressway",
				["texture_class_colors"] = true,
				["start_after_icon"] = false,
				["fast_ps_update"] = false,
				["textR_separator"] = ",",
				["textR_bracket"] = "(",
			},
			["grab_on_top"] = false,
			["hide_icon"] = true,
			["switch_damager_in_combat"] = false,
			["row_show_animation"] = {
				["anim"] = "Fade",
				["options"] = {
				},
			},
			["bars_sort_direction"] = 1,
			["auto_current"] = true,
			["toolbar_side"] = 1,
			["bg_g"] = 0.3294,
			["menu_anchor_down"] = {
				16, -- [1]
				-2, -- [2]
			},
			["hide_in_combat"] = false,
			["auto_hide_menu"] = {
				["left"] = false,
				["right"] = false,
			},
			["menu_icons_size"] = 0.899999976158142,
			["plugins_grow_direction"] = 1,
			["wallpaper"] = {
				["overlay"] = {
					0.999997794628143, -- [1]
					0.999997794628143, -- [2]
					0.999997794628143, -- [3]
					0.799998223781586, -- [4]
				},
				["width"] = 266.000061035156,
				["texcoord"] = {
					0.0480000019073486, -- [1]
					0.298000011444092, -- [2]
					0.630999984741211, -- [3]
					0.755999984741211, -- [4]
				},
				["enabled"] = true,
				["anchor"] = "all",
				["height"] = 225.999984741211,
				["alpha"] = 0.800000071525574,
				["texture"] = "Interface\\AddOns\\Details\\images\\skins\\elvui",
			},
			["total_bar"] = {
				["enabled"] = false,
				["only_in_group"] = true,
				["icon"] = "Interface\\ICONS\\INV_Sigil_Thorim",
				["color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
				},
			},
			["hide_out_of_combat"] = false,
			["skin_custom"] = "",
			["ignore_mass_showhide"] = false,
			["bars_inverted"] = false,
		},
		["row_fade_out"] = {
			"out", -- [1]
			0.2, -- [2]
		},
		["use_scroll"] = false,
		["class_colors"] = {
			["HUNTER"] = {
				0.67, -- [1]
				0.83, -- [2]
				0.45, -- [3]
			},
			["WARRIOR"] = {
				0.78, -- [1]
				0.61, -- [2]
				0.43, -- [3]
			},
			["PALADIN"] = {
				0.96, -- [1]
				0.55, -- [2]
				0.73, -- [3]
			},
			["MAGE"] = {
				0.41, -- [1]
				0.8, -- [2]
				0.94, -- [3]
			},
			["ARENA_YELLOW"] = {
				0.9, -- [1]
				0.9, -- [2]
				0, -- [3]
			},
			["UNGROUPPLAYER"] = {
				0.4, -- [1]
				0.4, -- [2]
				0.4, -- [3]
			},
			["DRUID"] = {
				1, -- [1]
				0.49, -- [2]
				0.04, -- [3]
			},
			["MONK"] = {
				0, -- [1]
				1, -- [2]
				0.59, -- [3]
			},
			["DEATHKNIGHT"] = {
				0.77, -- [1]
				0.12, -- [2]
				0.23, -- [3]
			},
			["ENEMY"] = {
				0.94117, -- [1]
				0, -- [2]
				0.0196, -- [3]
				1, -- [4]
			},
			["UNKNOW"] = {
				0.2, -- [1]
				0.2, -- [2]
				0.2, -- [3]
			},
			["PRIEST"] = {
				1, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["SHAMAN"] = {
				0, -- [1]
				0.44, -- [2]
				0.87, -- [3]
			},
			["ARENA_GREEN"] = {
				0.1, -- [1]
				0.85, -- [2]
				0.1, -- [3]
			},
			["WARLOCK"] = {
				0.58, -- [1]
				0.51, -- [2]
				0.79, -- [3]
			},
			["DEMONHUNTER"] = {
				0.64, -- [1]
				0.19, -- [2]
				0.79, -- [3]
			},
			["version"] = 1,
			["NEUTRAL"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["ROGUE"] = {
				1, -- [1]
				0.96, -- [2]
				0.41, -- [3]
			},
			["PET"] = {
				0.3, -- [1]
				0.4, -- [2]
				0.5, -- [3]
			},
		},
		["total_abbreviation"] = 2,
		["report_schema"] = 1,
		["overall_clear_newboss"] = true,
		["font_sizes"] = {
			["menus"] = 12,
		},
		["disable_reset_button"] = false,
		["data_broker_text"] = "",
		["instances_no_libwindow"] = false,
		["instances_segments_locked"] = false,
		["deadlog_limit"] = 16,
		["instances"] = {
			{
				["__pos"] = {
					["normal"] = {
						["y"] = -452.999885559082,
						["x"] = 650.000244140625,
						["w"] = 200.000061035156,--width of window
						["h"] = 175.999969482422,--height of window
					},
					["solo"] = {
						["y"] = 2,
						["x"] = 1,
						["w"] = 300,
						["h"] = 200,
					},
				},
				["hide_in_combat_type"] = 1,
				["backdrop_texture"] = "Details Ground",
				["color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
					1, -- [4]
				},
				["menu_anchor"] = {
					16, -- [1]
					2, -- [2]
					["side"] = 2,
				},
				["__snapV"] = false,
				["__snapH"] = false,
				["bg_r"] = 0.3294,
				["row_show_animation"] = {
					["anim"] = "Fade",
					["options"] = {
					},
				},
				["plugins_grow_direction"] = 1,
				["hide_out_of_combat"] = false,
				["__was_opened"] = true,
				["following"] = {
					["enabled"] = false,
					["bar_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
					["text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["color_buttons"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
					1, -- [4]
				},
				["switch_healer"] = false,
				["skin_custom"] = "",
				["bars_sort_direction"] = 1,
				["show_statusbar"] = false,
				["bars_grow_direction"] = 1,
				["menu_anchor_down"] = {
					16, -- [1]
					-2, -- [2]
				},
				["tooltip"] = {
					["n_abilities"] = 3,
					["n_enemies"] = 3,
				},
				["StatusBarSaved"] = {
					["center"] = "DETAILS_STATUSBAR_PLUGIN_CLOCK",
					["right"] = "DETAILS_STATUSBAR_PLUGIN_PDPS",
					["options"] = {
						["DETAILS_STATUSBAR_PLUGIN_PDPS"] = {
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								1, -- [4]
							},
							["textXMod"] = 0,
							["textFace"] = "Expressway",
							["textStyle"] = 2,
							["textAlign"] = 0,
							["textSize"] = 10,
							["textYMod"] = 1,
						},
						["DETAILS_STATUSBAR_PLUGIN_PSEGMENT"] = {
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								1, -- [4]
							},
							["segmentType"] = 2,
							["textXMod"] = 0,
							["textFace"] = "Expressway",
							["textAlign"] = 0,
							["textStyle"] = 2,
							["textSize"] = 12,
							["textYMod"] = 1,
						},
						["DETAILS_STATUSBAR_PLUGIN_CLOCK"] = {
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								1, -- [4]
							},
							["textStyle"] = 2,
							["textFace"] = "Expressway",
							["textAlign"] = 0,
							["textXMod"] = 6,
							["timeType"] = 1,
							["textSize"] = 10,
							["textYMod"] = 1,
						},
					},
					["left"] = "DETAILS_STATUSBAR_PLUGIN_PSEGMENT",
				},
				["total_bar"] = {
					["enabled"] = false,
					["only_in_group"] = true,
					["icon"] = "Interface\\ICONS\\INV_Sigil_Thorim",
					["color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["switch_all_roles_in_combat"] = false,
				["instance_button_anchor"] = {
					-27, -- [1]
					1, -- [2]
				},
				["version"] = 3,
				["attribute_text"] = {
					["show_timer"] = {
						true, -- [1]
						true, -- [2]
						true, -- [3]
					},
					["shadow"] = true,
					["side"] = 1,
					["text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
						0.7, -- [4]
					},
					["custom_text"] = "{name}",
					["text_face"] = "Expressway",
					["anchor"] = {
						-2, -- [1]
						3, -- [2]
					},
					["text_size"] = 12,
					["enable_custom_text"] = false,
					["enabled"] = true,
				},
				["__locked"] = true,
				["menu_alpha"] = {
					["enabled"] = false,
					["onenter"] = 1,
					["iconstoo"] = true,
					["ignorebars"] = false,
					["onleave"] = 1,
				},
				["switch_damager_in_combat"] = false,
				["micro_displays_locked"] = true,
				["switch_tank_in_combat"] = false,
				["strata"] = "LOW",
				["grab_on_top"] = false,
				["__snap"] = {
					[3] = 2,
				},
				["switch_tank"] = false,
				["hide_in_combat_alpha"] = 0,
				["switch_all_roles_after_wipe"] = false,
				["menu_icons"] = {
					true, -- [1]
					true, -- [2]
					true, -- [3]
					true, -- [4]
					true, -- [5]
					false, -- [6]
					["space"] = -2,
					["shadow"] = true,
				},
				["switch_damager"] = false,
				["micro_displays_side"] = 2,
				["statusbar_info"] = {
					["alpha"] = 1,
					["overlay"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["window_scale"] = 1,
				["libwindow"] = {
					["y"] = 10.0000705718994,
					["x"] = -225.999877929687,
					["point"] = "BOTTOMRIGHT",
				},
				["desaturated_menu"] = true,
				["bars_inverted"] = false,
				["hide_icon"] = false,
				["switch_healer_in_combat"] = false,
				["bg_alpha"] = 0.55,
				["auto_current"] = true,
				["toolbar_side"] = 1,
				["bg_g"] = 0.3294,
				["skin"] = "ElvUI Frame Style",
				["hide_in_combat"] = false,
				["posicao"] = {
					["normal"] = {
						["y"] = -422.999885559082,
						["x"] = 650.000244140625,
						["w"] = 213,--width of window
						["h"] = 175.999969482422,--height of window
					},
					["solo"] = {
						["y"] = 2,
						["x"] = 1,
						["w"] = 300,
						["h"] = 200,
					},
				},
				["menu_icons_size"] = 0.899999976158142,
				["ignore_mass_showhide"] = false,
				["wallpaper"] = {
					["enabled"] = false,
					["texture"] = "Interface\\AddOns\\Details\\images\\skins\\elvui",
					["texcoord"] = {
						0.0480000019073486, -- [1]
						0.298000011444092, -- [2]
						0.630999984741211, -- [3]
						0.755999984741211, -- [4]
					},
					["overlay"] = {
						0.999997794628143, -- [1]
						0.999997794628143, -- [2]
						0.999997794628143, -- [3]
						0.799998223781586, -- [4]
					},
					["anchor"] = "all",
					["height"] = 225.999984741211,
					["alpha"] = 0.800000071525574,
					["width"] = 266.000061035156,
				},
				["stretch_button_side"] = 1,
				["auto_hide_menu"] = {
					["left"] = true,
					["right"] = false,
				},
				["show_sidebars"] = false,
				["row_info"] = {
					["textR_outline"] = false,
					["spec_file"] = "Interface\\AddOns\\Details\\images\\spec_icons_normal",
					["textL_outline"] = false,
					["textR_outline_small"] = true,
					["textL_outline_small"] = true,
					["percent_type"] = 1,
					["fixed_text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
					["space"] = {
						["right"] = 0,
						["left"] = 0,
						["between"] = 2,
					},
					["texture_background_class_color"] = false,
					["start_after_icon"] = false,
					["font_face_file"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\fonts\\Expressway.ttf",
					["textL_custom_text"] = "{data1}. {data3}{data2}",
					["font_size"] = 12,
					["texture_custom_file"] = "Interface\\",
					["texture_file"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\Klix.tga",
					["icon_file"] = "Interface\\AddOns\\Details\\images\\classes_small_alpha",
					["use_spec_icons"] = true,
					["models"] = {
						["upper_model"] = "Spells\\AcidBreath_SuperGreen.M2",
						["lower_model"] = "World\\EXPANSION02\\DOODADS\\Coldarra\\COLDARRALOCUS.m2",
						["upper_alpha"] = 0.5,
						["lower_enabled"] = false,
						["lower_alpha"] = 0.1,
						["upper_enabled"] = false,
					},
					["textR_bracket"] = "(",
					["textR_enable_custom_text"] = false,
					["backdrop"] = {
						["enabled"] = false,
						["size"] = 4,
						["color"] = {
							0, -- [1]
							0, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "Details BarBorder 2",
					},
					["fixed_texture_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
					},
					["textL_show_number"] = true,
					["fixed_texture_background_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						0.339636147022247, -- [4]
					},
					["texture_custom"] = "",
					["textR_custom_text"] = "{data1} ({data2}, {data3}%)",
					["texture"] = "Klix",
					["texture_highlight"] = "Interface\\FriendsFrame\\UI-FriendsList-Highlight",
					["textL_enable_custom_text"] = false,
					["textR_class_colors"] = false,
					["textL_class_colors"] = false,
					["textR_outline_small_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["texture_background"] = "None",
					["alpha"] = 0.8,
					["no_icon"] = false,
					["textR_show_data"] = {
						true, -- [1]
						true, -- [2]
						true, -- [3]
					},
					["textL_outline_small_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["font_face"] = "Expressway",
					["texture_class_colors"] = true,
					["texture_background_file"] = "Interface\\Addons\\ElvUI_KlixUI\\media\\textures\\Klix.tga",
					["fast_ps_update"] = false,
					["textR_separator"] = ",",
					["height"] = 16,
				},
				["bg_b"] = 0.3294,
			}, -- [1]
			{
				["__pos"] = {
					["normal"] = {
						["y"] = -422.999885559082,
						["x"] = 852.000122070313,
						["w"] = 213,--width of window
						["h"] = 175.999969482422,--height of window
					},
					["solo"] = {
						["y"] = 2,
						["x"] = 1,
						["w"] = 300,
						["h"] = 200,
					},
				},
				["hide_in_combat_type"] = 1,
				["backdrop_texture"] = "Details Ground",
				["color"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
					1, -- [4]
				},
				["menu_anchor"] = {
					16, -- [1]
					2, -- [2]
					["side"] = 2,
				},
				["__snapV"] = false,
				["__snapH"] = false,
				["bg_r"] = 0.3294,
				["row_show_animation"] = {
					["anim"] = "Fade",
					["options"] = {
					},
				},
				["plugins_grow_direction"] = 1,
				["hide_out_of_combat"] = false,
				["__was_opened"] = true,
				["following"] = {
					["enabled"] = false,
					["bar_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
					["text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["color_buttons"] = {
					1, -- [1]
					1, -- [2]
					1, -- [3]
					1, -- [4]
				},
				["switch_healer"] = false,
				["skin_custom"] = "",
				["bars_sort_direction"] = 1,
				["show_statusbar"] = false,
				["bars_grow_direction"] = 1,
				["menu_anchor_down"] = {
					16, -- [1]
					-2, -- [2]
				},
				["tooltip"] = {
					["n_abilities"] = 3,
					["n_enemies"] = 3,
				},
				["StatusBarSaved"] = {
					["center"] = "DETAILS_STATUSBAR_PLUGIN_CLOCK",
					["right"] = "DETAILS_STATUSBAR_PLUGIN_PDPS",
					["options"] = {
						["DETAILS_STATUSBAR_PLUGIN_PDPS"] = {
							["textYMod"] = 1,
							["textXMod"] = 0,
							["textFace"] = "Expressway",
							["textAlign"] = 0,
							["textStyle"] = 2,
							["textSize"] = 12,
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								0.7, -- [4]
							},
						},
						["DETAILS_STATUSBAR_PLUGIN_THREAT"] = {
							["isHidden"] = false,
							["textStyle"] = 2,
							["textYMod"] = 1,
							["segmentType"] = 2,
							["textXMod"] = 0,
							["textFace"] = "Expressway",
							["textAlign"] = 0,
							["textSize"] = 10,
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								0.7, -- [4]
							},
						},
						["DETAILS_STATUSBAR_PLUGIN_CLOCK"] = {
							["textColor"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								0.7, -- [4]
							},
							["textXMod"] = 6,
							["textFace"] = "Expressway",
							["textAlign"] = 0,
							["textStyle"] = 2,
							["timeType"] = 1,
							["textSize"] = 12,
							["textYMod"] = 1,
						},
					},
					["left"] = "DETAILS_STATUSBAR_PLUGIN_THREAT",
				},
				["total_bar"] = {
					["enabled"] = false,
					["only_in_group"] = true,
					["icon"] = "Interface\\ICONS\\INV_Sigil_Thorim",
					["color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["switch_all_roles_in_combat"] = false,
				["instance_button_anchor"] = {
					-27, -- [1]
					1, -- [2]
				},
				["version"] = 3,
				["attribute_text"] = {
					["show_timer"] = {
						true, -- [1]
						true, -- [2]
						true, -- [3]
					},
					["shadow"] = true,
					["side"] = 1,
					["text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
						0.7, -- [4]
					},
					["custom_text"] = "{name}",
					["text_face"] = "Expressway",
					["anchor"] = {
						-2, -- [1]
						3, -- [2]
					},
					["text_size"] = 12,
					["enable_custom_text"] = false,
					["enabled"] = true,
				},
				["__locked"] = true,
				["menu_alpha"] = {
					["enabled"] = false,
					["onenter"] = 1,
					["iconstoo"] = true,
					["ignorebars"] = false,
					["onleave"] = 1,
				},
				["switch_damager_in_combat"] = false,
				["micro_displays_locked"] = true,
				["switch_tank_in_combat"] = false,
				["strata"] = "LOW",
				["grab_on_top"] = false,
				["__snap"] = {
					1, -- [1]
				},
				["switch_tank"] = false,
				["hide_in_combat_alpha"] = 0,
				["switch_all_roles_after_wipe"] = false,
				["menu_icons"] = {
					true, -- [1]
					true, -- [2]
					true, -- [3]
					true, -- [4]
					true, -- [5]
					false, -- [6]
					["space"] = -2,
					["shadow"] = false,
				},
				["switch_damager"] = false,
				["micro_displays_side"] = 2,
				["statusbar_info"] = {
					["alpha"] = 1,
					["overlay"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
				},
				["window_scale"] = 1,
				["libwindow"] = {
					["y"] = 30.0000705718994,
					["x"] = -26.9998779296875,
					["point"] = "BOTTOMRIGHT",
				},
				["desaturated_menu"] = true,
				["bars_inverted"] = false,
				["hide_icon"] = false,
				["switch_healer_in_combat"] = false,
				["bg_alpha"] = 0.55,
				["auto_current"] = true,
				["toolbar_side"] = 1,
				["bg_g"] = 0.3294,
				["skin"] = "ElvUI Frame Style",
				["hide_in_combat"] = false,
				["posicao"] = {
					["normal"] = {
						["y"] = -452.999885559082,
						["x"] = 852.000122070313,
						["w"] = 204.000091552734,
						["h"] = 155.999969482422,
					},
					["solo"] = {
						["y"] = 2,
						["x"] = 1,
						["w"] = 300,
						["h"] = 200,
					},
				},
				["menu_icons_size"] = 0.899999976158142,
				["ignore_mass_showhide"] = false,
				["wallpaper"] = {
					["enabled"] = false,
					["texture"] = "Interface\\AddOns\\Details\\images\\skins\\elvui",
					["texcoord"] = {
						0.0480000019073486, -- [1]
						0.298000011444092, -- [2]
						0.630999984741211, -- [3]
						0.755999984741211, -- [4]
					},
					["overlay"] = {
						0.999997794628143, -- [1]
						0.999997794628143, -- [2]
						0.999997794628143, -- [3]
						0.799998223781586, -- [4]
					},
					["anchor"] = "all",
					["height"] = 225.999984741211,
					["alpha"] = 0.800000071525574,
					["width"] = 266.000061035156,
				},
				["stretch_button_side"] = 1,
				["auto_hide_menu"] = {
					["left"] = true,
					["right"] = false,
				},
				["show_sidebars"] = false,
				["row_info"] = {
					["textR_outline"] = false,
					["spec_file"] = "Interface\\AddOns\\Details\\images\\spec_icons_normal",
					["textL_outline"] = false,
					["textR_outline_small"] = true,
					["textL_outline_small"] = true,
					["percent_type"] = 1,
					["fixed_text_color"] = {
						1, -- [1]
						1, -- [2]
						1, -- [3]
					},
					["space"] = {
						["right"] = 0,
						["left"] = 0,
						["between"] = 2,
					},
					["texture_background_class_color"] = false,
					["start_after_icon"] = false,
					["font_face_file"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\fonts\\Expressway.ttf",
					["textL_custom_text"] = "{data1}. {data3}{data2}",
					["font_size"] = 12,
					["texture_custom_file"] = "Interface\\",
					["texture_file"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\Klix.tga",
					["icon_file"] = "Interface\\AddOns\\Details\\images\\classes_small_alpha",
					["use_spec_icons"] = true,
					["models"] = {
						["upper_model"] = "Spells\\AcidBreath_SuperGreen.M2",
						["lower_model"] = "World\\EXPANSION02\\DOODADS\\Coldarra\\COLDARRALOCUS.m2",
						["upper_alpha"] = 0.5,
						["lower_enabled"] = false,
						["lower_alpha"] = 0.1,
						["upper_enabled"] = false,
					},
					["textR_bracket"] = "(",
					["textR_enable_custom_text"] = false,
					["backdrop"] = {
						["enabled"] = false,
						["size"] = 4,
						["color"] = {
							0, -- [1]
							0, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "Details BarBorder 2",
					},
					["fixed_texture_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
					},
					["textL_show_number"] = true,
					["fixed_texture_background_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						0.339636147022247, -- [4]
					},
					["texture_custom"] = "",
					["textR_custom_text"] = "{data1} ({data2}, {data3}%)",
					["texture"] = "Klix",
					["texture_highlight"] = "Interface\\FriendsFrame\\UI-FriendsList-Highlight",
					["textL_enable_custom_text"] = false,
					["textR_class_colors"] = false,
					["textL_class_colors"] = false,
					["textR_outline_small_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["texture_background"] = "None",
					["alpha"] = 0.8,
					["no_icon"] = false,
					["textR_show_data"] = {
						true, -- [1]
						true, -- [2]
						true, -- [3]
					},
					["textL_outline_small_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["font_face"] = "Expressway",
					["texture_class_colors"] = true,
					["texture_background_file"] = "Interface\\Addons\\ElvUI_KlixUI\\media\\textures\\Klix.tga",
					["fast_ps_update"] = false,
					["textR_separator"] = ",",
					["height"] = 16,
				},
				["bg_b"] = 0.3294,
			}, -- [2]
		},
	}
	_detalhes:ApplyProfile('Klix')
	end
	
		
		
		if IsAddOnLoaded('BigWigs') then
		E:Print(L["A profile for BigWigs has been created. Type /bw, go to Profiles, and change your profile to |cffffc88dKlix|r."])
		InstallStepComplete.message = L["AddOn Profiles installed"]
		InstallStepComplete:Show()
		BigWigs3DB = {
		["namespaces"] = {
		["BigWigs_Plugins_Victory"] = {
		},
		["BigWigs_Plugins_Colors"] = {
		},
		["BigWigs_Plugins_Alt Power"] = {
			["profiles"] = {
				["Default"] = {
					["font"] = "Friz Quadrata TT",
					["fontOutline"] = "",
					["fontSize"] = 11.0000009536743,
				},
				["Klix"] = {
					["posx"] = 200,
					["fontSize"] = 11.0000009536743,
					["disabled"] = true,
					["posy"] = 245,
					["fontOutline"] = "",
					["font"] = "Expressway",
				},
			},
		},
		["BigWigs_Plugins_BossBlock"] = {
		},
		["BigWigs_Plugins_Bars"] = {
			["profiles"] = {
				["Default"] = {
					["font"] = "Friz Quadrata TT",
					["BigWigsAnchor_width"] = 199.999908447266,
				},
				["Klix"] = {
					["BigWigsEmphasizeAnchor_y"] = 168,
					["fontSize"] = 11,
					["BigWigsAnchor_y"] = 168,
					["emphasizeGrowup"] = false,
					["BigWigsAnchor_x"] = 1072,
					["texture"] = "Klix",
					["barStyle"] = "ElvUI",
					["BigWigsAnchor_width"] = 402,
					["BigWigsEmphasizeAnchor_width"] = 324,
					["BigWigsEmphasizeAnchor_x"] = 574,
					["font"] = "Expressway",
					["outline"] = "OUTLINE",
					["emphasizeScale"] = 1,
				},
			},
		},
		["BigWigs_Plugins_Super Emphasize"] = {
			["profiles"] = {
				["Default"] = {
					["font"] = "Friz Quadrata TT",
				},
				["Klix"] = {
					["font"] = "Expressway",
				},
			},
		},
		["BigWigs_Plugins_Sounds"] = {
			["profiles"] = {
				["Default"] = {
					["Long"] = {
					},
					["Warning"] = {
					},
					["Info"] = {
					},
					["Alarm"] = {
					},
					["Alert"] = {
					},
				},
				["Klix"] = {
					["Long"] = {
					},
					["Warning"] = {
					},
					["Info"] = {
					},
					["Alarm"] = {
					},
					["Alert"] = {
					},
				},
			},
		},
		["BigWigs_Plugins_Messages"] = {
			["profiles"] = {
				["Default"] = {
					["fontSize"] = 20,
					["font"] = "Friz Quadrata TT",
				},
				["Klix"] = {
					["outline"] = "OUTLINE",
					["fontSize"] = 20,
					["BWMessageAnchor_x"] = 612,
					["BWEmphasizeMessageAnchor_x"] = 612,
					["growUpwards"] = false,
					["font"] = "Expressway",
					["BWMessageAnchor_y"] = 600,
					["BWEmphasizeMessageAnchor_y"] = 700,
				},
			},
		},
		["BigWigs_Plugins_Statistics"] = {
		},
		["BigWigs_Plugins_Respawn"] = {
		},
		["BigWigs_Plugins_Proximity"] = {
			["profiles"] = {
				["Default"] = {
					["fontSize"] = 20,
					["font"] = "Friz Quadrata TT",
					["height"] = 120.000007629395,
				},
				["Klix"] = {
					["fontSize"] = 20,
					["font"] = "Expressway",
					["posx"] = 380,
					["height"] = 120.000007629395,
					["posy"] = 260.977697291637,
					["lock"] = true
				},
			},
		},
		["BigWigs_Plugins_Raid Icons"] = {
		},
		["LibDualSpec-1.0"] = {
		},
	},
		["profiles"] = {
			["Klix"] = {
			},
		},
	}
	local db = LibStub("AceDB-3.0"):New(BigWigs3DB, nil, true)
	db:SetProfile("Klix")
	end
		
		
		
		if IsAddOnLoaded('DBM-Core') then
		DBM:CreateProfile('Klix')
		E:Print(L["A profile for DBM has been created."])
		InstallStepComplete.message = L["AddOn Profiles installed"]
		InstallStepComplete:Show()
		
		DBM_AllSavedOptions["Klix"]["CountdownVoice"] = "Corsica"
		DBM_AllSavedOptions["Klix"]["SpecialWarningFontShadow"] = true
		DBM_AllSavedOptions["Klix"]["SpecialWarningFontStyle"] = "OUTLINE"
		DBM_AllSavedOptions["Klix"]["SpecialWarningX"] = 0
		DBM_AllSavedOptions["Klix"]["SpecialWarningY"] = 350
		DBM_AllSavedOptions["Klix"]["SpecialWarningFont"] = "Expressway"
		DBM_AllSavedOptions["Klix"]["WarningFontShadow"] = true
		DBM_AllSavedOptions["Klix"]["WarningFont"] = "Expressway"
		DBM_AllSavedOptions["Klix"]["WarningFontStyle"] = "OUTLINE"
		DBM_AllSavedOptions["Klix"]["WarningX"] = 0
		DBM_AllSavedOptions["Klix"]["WarningY"] = 200
		DBM_AllSavedOptions["Klix"]["HPFrameY"] = -230
		DBM_AllSavedOptions["Klix"]["HPFrameX"] = 325
		DBM_AllSavedOptions["Klix"]["HPFramePoint"] = "LEFT"
		DBT_AllPersistentOptions["Klix"]["DBM"]["Texture"] = "Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\Klix.tga"
		DBT_AllPersistentOptions["Klix"]["DBM"]["Scale"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["FontSize"] = 12
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeScale"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["Font"] = "Expressway"
		DBT_AllPersistentOptions["Klix"]["DBM"]["FontStyle"] = "OUTLINE"
		DBT_AllPersistentOptions["Klix"]["DBM"]["EndColorG"] = 0
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeTimerY"] = 238
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeBarXOffset"] = 0
		DBT_AllPersistentOptions["Klix"]["DBM"]["Scale"] = 0.899999976158142
		DBT_AllPersistentOptions["Klix"]["DBM"]["EnlargeBarsPercent"] = 0.125
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeBarYOffset"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeWidth"] = 324
		DBT_AllPersistentOptions["Klix"]["DBM"]["BarYOffset"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["TimerY"] = 210
		DBT_AllPersistentOptions["Klix"]["DBM"]["StartColorR"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["ExpandUpwards"] = true
		DBT_AllPersistentOptions["Klix"]["DBM"]["ExpandUpwardsLarge"] = false
		DBT_AllPersistentOptions["Klix"]["DBM"]["TimerPoint"] = "BOTTOM"
		DBT_AllPersistentOptions["Klix"]["DBM"]["StartColorG"] = 0.701960784313726
		DBT_AllPersistentOptions["Klix"]["DBM"]["TimerX"] = 750
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeTimerX"] = 11
		DBT_AllPersistentOptions["Klix"]["DBM"]["EndColorR"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["Width"] = 400
		DBT_AllPersistentOptions["Klix"]["DBM"]["HugeTimerPoint"] = "BOTTOM"
		DBT_AllPersistentOptions["Klix"]["DBM"]["EnlargeBarsTime"] = 8
		DBT_AllPersistentOptions["Klix"]["DBM"]["StartColorB"] = 0
		DBT_AllPersistentOptions["Klix"]["DBM"]["Height"] = 23
		DBT_AllPersistentOptions["Klix"]["DBM"]["BarXOffset"] = 0
		DBT_AllPersistentOptions["Klix"]["DBM"]["EndColorB"] = 0
		DBT_AllPersistentOptions["Klix"]["DBM"]["LastRevision"] = 11873
		DBT_AllPersistentOptions["Klix"]["DBM"]["SettingsMessageShown"] = true
		DBT_AllPersistentOptions["Klix"]["DBM"]["BugMessageShown"] = 1
		DBT_AllPersistentOptions["Klix"]["DBM"]["ForumsMessageShown"] = 11873

		DBM:ApplyProfile('Klix')
		end
	end
end

local function InstallComplete()
	E.private.install_complete = E.version
	
	if GetCVarBool("Sound_EnableMusic") then
		StopMusic()
	end
	
	ReloadUI()
end
		
local function ResetAll()
	InstallNextButton:Disable()
	InstallPrevButton:Disable()
	InstallOption1Button:Hide()
	InstallOption1Button:SetScript("OnClick", nil)
	InstallOption1Button:SetText("")
	InstallOption2Button:Hide()
	InstallOption2Button:SetScript('OnClick', nil)
	InstallOption2Button:SetText('')
	InstallOption3Button:Hide()
	InstallOption3Button:SetScript('OnClick', nil)
	InstallOption3Button:SetText('')	
	InstallOption4Button:Hide()
	InstallOption4Button:SetScript('OnClick', nil)
	InstallOption4Button:SetText('')
	InstallOption5Button:Hide()
	InstallOption5Button:SetScript('OnClick', nil)
	InstallOption5Button:SetText('')
	InstallOption6Button:Hide()
	InstallOption6Button:SetScript('OnClick', nil)
	InstallOption6Button:SetText('')
	InstallOption7Button:Hide()
	InstallOption7Button:SetScript('OnClick', nil)
	InstallOption7Button:SetText('')
	InstallOption8Button:Hide()
	InstallOption8Button:SetScript('OnClick', nil)
	InstallOption8Button:SetText('')
	InstallOption9Button:Hide()
	InstallOption9Button:SetScript('OnClick', nil)
	InstallOption9Button:SetText('')
	InstallOption10Button:Hide()
	InstallOption10Button:SetScript('OnClick', nil)
	InstallOption10Button:SetText('')
	InstallOption11Button:Hide()
	InstallOption11Button:SetScript('OnClick', nil)
	InstallOption11Button:SetText('')
	InstallOption12Button:Hide()
	InstallOption12Button:SetScript('OnClick', nil)
	InstallOption12Button:SetText('')
	ElvUIInstallFrame:Size(206, 150)
	ElvUIInstallFrame:SetAlpha(0.8)
end

local function SetPage(PageNum)
	CURRENT_PAGE = PageNum
	ResetAll()
	
	local f = ElvUIInstallFrame
	
	if PageNum == 4 then
		InstallNextButton:Hide()
		InstallNextButton:Disable()
		InstallPrevButton:Enable()
		f.tutorialImage3:Hide()	
	else
		f.tutorialImage3:Show()
		InstallNextButton:Show()
		InstallNextButton:Enable()
	end
	
	if PageNum == 1 then
		InstallPrevButton:Hide()
		InstallPrevButton:Disable()
		f.tutorialImage2:Hide()	
	else
		f.tutorialImage2:Show()	
		InstallPrevButton:Show()
		InstallPrevButton:Enable()
	end
	

	if PageNum == 1 then
		InstallOption9Button:Show()
		InstallOption9Button:SetScript('OnClick', function() E:SetupTheme('KlixUI') end)
		InstallOption9Button:SetText(L['|cffffffffInstall UI|r'])
	elseif PageNum == 2 then
		InstallOption2Button:Show()
		InstallOption2Button:SetScript("OnClick", SetupChat)
		InstallOption2Button:SetText(L["|cffffffffSetup Chat"])
		InstallOption7Button:Show()
		InstallOption7Button:SetScript("OnClick", function() E:SetupAddon('Skada') end)
		InstallOption7Button:SetText(L["|cffffffffSetup AddOns"])	
		InstallOption10Button:Show()
		InstallOption10Button:SetScript('OnClick', function() E:SetupTheme('KlixUI') end)
		InstallOption10Button:SetText(L['|cffffffffReset'])
	elseif PageNum == 3 then
		InstallOption1Button:Show()
		InstallOption1Button:SetScript("OnClick", function() E:SetupTheme('DataBars') end)
		InstallOption1Button:SetText(L["|cffffffffAlt. DataBars"])
		InstallOption3Button:Show()
		InstallOption3Button:SetScript("OnClick", function() E:SetupTheme('Healer Layout') end)
		InstallOption3Button:SetText(L["|cffffffffHealer Layout"])
		InstallOption5Button:Show()
		InstallOption5Button:SetScript('OnClick', function() E:SetupTheme('Datatexts') end)
		InstallOption5Button:SetText(L['|cffffffffExtra Datatexts'])
		InstallOption6Button:Show()
		InstallOption6Button:SetScript('OnClick', function() E:SetupTheme('eAB') end)
		InstallOption6Button:SetText(L['|cffffffffAura Bars'])
		InstallOption11Button:Show()
		InstallOption11Button:SetScript('OnClick', function() E:SetupTheme('extraActionBars') end)
		InstallOption11Button:SetText(L['|cffffffffExtra ActionBars'])
		InstallOption10Button:Show()
		InstallOption10Button:SetScript('OnClick', function() E:SetupTheme('KlixUI') end)
		InstallOption10Button:SetText(L['|cffffffffReset'])
	elseif PageNum == 4 then
		InstallOption9Button:Show()
		InstallOption9Button:SetScript("OnClick", InstallComplete)
		InstallOption9Button:SetText(L["|cffffffffFinish"])
	end
end

local function NextPage()	
	if CURRENT_PAGE ~= MAX_PAGE then
		CURRENT_PAGE = CURRENT_PAGE + 1
		SetPage(CURRENT_PAGE)
	end
end

local function PreviousPage()
	if CURRENT_PAGE ~= 1 then
		CURRENT_PAGE = CURRENT_PAGE - 1
		SetPage(CURRENT_PAGE)
	end
end

--Install UI
function E:Install()	
	if not InstallStepComplete then
		local imsg = CreateFrame("Frame", "InstallStepComplete", E.UIParent)
		imsg:Size(206, 150)
		imsg:Point("TOP", 0, -100)
		imsg:Hide()
		imsg:SetScript('OnShow', function(self)
			if self.message then 
				PlaySoundFile([[Sound\Interface\LevelUp.wav]])
				self.text:SetText(self.message)
				UIFrameFadeOut(self, 3.5, 1, 0)
				E:Delay(4, function() self:Hide() end)	
				self.message = nil
			else
				self:Hide()
			end
		end)

		imsg.firstShow = false

		imsg.bg = imsg:CreateTexture(nil, 'BACKGROUND')
		imsg.bg:SetTexture([[Interface\LevelUp\LevelUpTex]])
		imsg.bg:SetPoint('BOTTOM')
		imsg.bg:Size(206, 150)
		imsg.bg:SetTexCoord(0.00195313, 0.63867188, 0.03710938, 0.23828125)
		imsg.bg:SetVertexColor(1, 1, 1, 0.6)


		imsg.lineBottom = imsg:CreateTexture(nil, 'BACKGROUND')
		imsg.lineBottom:SetDrawLayer('BACKGROUND', 2)
		imsg.lineBottom:SetTexture([[Interface\LevelUp\LevelUpTex]])
		imsg.lineBottom:SetPoint("BOTTOM")
		imsg.lineBottom:Size(206, 150)
		imsg.lineBottom:SetTexCoord(0.00195313, 0.81835938, 0.01953125, 0.03320313)

		imsg.text = imsg:CreateFontString(nil, 'ARTWORK', 'GameFont_Gigantic')
		imsg.text:Point("BOTTOM", 0, 12)
		imsg.text:SetTextColor(1, 0.82, 0)
		imsg.text:SetJustifyH("CENTER")
		
	end

	--Create Frame
	if not ElvUIInstallFrame then
		local f = CreateFrame("Button", "ElvUIInstallFrame", E.UIParent)
		f.SetPage = SetPage
		f:Size(206, 150)
		f:SetTemplate("Transparent")
		f:SetPoint("CENTER", 0, 150)
		f:SetFrameStrata('TOOLTIP')
		
		f.Next = CreateFrame("Button", "InstallNextButton", f, "UIPanelButtonTemplate")
		f.Next:StripTextures()
		f.Next:SetTemplate("Default", true)
		f.Next:SetAlpha(0)
		f.Next:Size(102, 30)
		f.Next:Point("RIGHT", 100, 0)
		f.Next:Disable()
		f.Next:SetScript("OnClick", NextPage)
		E.Skins:HandleButton(f.Next, true)
		
		f.Prev = CreateFrame("Button", "InstallPrevButton", f, "UIPanelButtonTemplate")
		f.Prev:StripTextures()
		f.Prev:SetTemplate("Default", true)
		f.Prev:SetAlpha(0)
		f.Prev:Size(100, 30)
		f.Prev:Point("LEFT", -102, 0)
		f.Prev:Disable()
		f.Prev:SetScript("OnClick", PreviousPage)
		E.Skins:HandleButton(f.Prev, true)
		
		f.Option1 = CreateFrame("Button", "InstallOption1Button", f, "UIPanelButtonTemplate")
		f.Option1:StripTextures()
		f.Option1:Size(100, 30)
		f.Option1:Point("BOTTOMLEFT", 2, 2)
		f.Option1:SetText("")
		f.Option1:Hide()
		E.Skins:HandleButton(f.Option1, true)
		
		f.Option2 = CreateFrame("Button", "InstallOption2Button", f, "UIPanelButtonTemplate")
		f.Option2:StripTextures()
		f.Option2:Size(100, 30)
		f.Option2:Point('BOTTOMLEFT', 2, 50)
		f.Option2:SetText("")
		f.Option2:Hide()
		E.Skins:HandleButton(f.Option2, true)		
		
		f.Option3 = CreateFrame("Button", "InstallOption3Button", f, "UIPanelButtonTemplate")
		f.Option3:StripTextures()
		f.Option3:Size(100, 30)
		f.Option3:Point("BOTTOMLEFT", 53, 64)
		f.Option3:SetText("")
		f.Option3:Hide()
		E.Skins:HandleButton(f.Option3, true)	
		
		f.Option4 = CreateFrame("Button", "InstallOption4Button", f, "UIPanelButtonTemplate")
		f.Option4:StripTextures()
		f.Option4:Size(100, 30)
		f.Option4:Point("BOTTOMLEFT", 2, 95)
		f.Option4:SetText("")
		E.Skins:HandleButton(f.Option4, true)
		
		f.Option5 = CreateFrame("Button", "InstallOption5Button", f, "UIPanelButtonTemplate")
		f.Option5:StripTextures()
		f.Option5:Size(100, 30)
		f.Option5:Point('BOTTOMRIGHT', -2, 2)
		f.Option5:SetText("")
		E.Skins:HandleButton(f.Option5, true)
		
		f.Option6 = CreateFrame("Button", "InstallOption6Button", f, "UIPanelButtonTemplate")
		f.Option6:StripTextures()
		f.Option6:Size(100, 30)
		f.Option6:Point("BOTTOMRIGHT", -2, 33)
		f.Option6:SetText("")
		E.Skins:HandleButton(f.Option6, true)
		
		f.Option7 = CreateFrame("Button", "InstallOption7Button", f, "UIPanelButtonTemplate")
		f.Option7:StripTextures()
		f.Option7:Size(100, 30)
		f.Option7:Point("BOTTOMRIGHT", -2, 50)
		f.Option7:SetText("")
		E.Skins:HandleButton(f.Option7, true)
		
		f.Option8 = CreateFrame("Button", "InstallOption8Button", f, "UIPanelButtonTemplate")
		f.Option8:StripTextures()
		f.Option8:Size(100, 30)
		f.Option8:Point("BOTTOMRIGHT", -2, 95)
		f.Option8:SetText("")
		E.Skins:HandleButton(f.Option8, true)
		
		f.Option9 = CreateFrame("Button", "InstallOption9Button", f, "UIPanelButtonTemplate")
		f.Option9:StripTextures()
		f.Option9:Size(125, 35)
		f.Option9:Point("CENTER", 0, -20)
		f.Option9:SetText("")
		E.Skins:HandleButton(f.Option9, true)
		
		f.Option10 = CreateFrame("Button", "InstallOption10Button", f, "UIPanelButtonTemplate")
		f.Option10:StripTextures()
		--f.Option10:SetAlpha(0)
		f.Option10:Size(100, 30)
		f.Option10:Point("BOTTOM", 0, -31)
		f.Option10:SetText("")
		E.Skins:HandleButton(f.Option10, true)
		
		f.Option11 = CreateFrame("Button", "InstallOption11Button", f, "UIPanelButtonTemplate")
		f.Option11:StripTextures()
		f.Option11:Size(100, 30)
		f.Option11:Point("BOTTOMLEFT", 2, 33)
		f.Option11:SetText("")
		E.Skins:HandleButton(f.Option11, true)
		
		f.Option12 = CreateFrame("Button", "InstallOption12Button", f, "UIPanelButtonTemplate")
		f.Option12:StripTextures()
		f.Option12:Size(100, 30)
		f.Option12:Point("Bottom", 0, 2)
		f.Option12:SetText("")
		E.Skins:HandleButton(f.Option12, true)

		
		local close = CreateFrame("Button", "InstallCloseButton", f, "UIPanelCloseButton")
		close:Point("TOPRIGHT", f, "TOPRIGHT", -6, -6)
		close:SetScript("OnClick", function()
			f:Hide()
		end)		
		InstallCloseButton:SetAlpha(0)
		E.Skins:HandleCloseButton(close)

		f.tutorialImage = f:CreateTexture('InstallTutorialImage', 'OVERLAY')
		f.tutorialImage:SetTexture('Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\KlixUI.tga')
		f.tutorialImage:Point('TOP', 0, 50)
		
		f.tutorialImage2 = f:CreateTexture('InstallTutorialImage', 'OVERLAY')
		f.tutorialImage2:SetTexture('Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\arrowLeft.tga')
		f.tutorialImage2:Point('LEFT', "ElvUIInstallFrame", -35, 0)
		
		f.tutorialImage3 = f:CreateTexture('InstallTutorialImage', 'OVERLAY')
		f.tutorialImage3:SetTexture('Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\arrowRight.tga')
		f.tutorialImage3:Point('RIGHT', "ElvUIInstallFrame", 35, 0)
		
		f.tutorialImage4 = f:CreateTexture('InstallTutorialImage', 'OVERLAY')
		f.tutorialImage4:SetTexture('Interface\\AddOns\\ElvUI_KlixUI\\media\\textures\\close.tga')
		f.tutorialImage4:Point("TOPRIGHT", f, "TOPRIGHT", -6, -6)

	end
	
	ElvUIInstallFrame:Show()
	NextPage()
end